<?php
/**
 * Joomla! 1.5 component Community Polls
 *
 * @version $Id: communitypolls.php 2009-08-10 03:45:15 svn $
 * @author Maverick
 * @package Joomla
 * @subpackage Community Polls
 * @license GNU/GPL
 *
 * The Community Polls allows the members of the Joomla website to create and manage polls from the front-end.
 * The administrator has the powerful tools provided in the back-end to manage the polls published by all users.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

require_once JPATH_COMPONENT_ADMINISTRATOR.DS.'helpers'.DS.'helper.php';
require_once JPATH_COMPONENT.DS.'helpers'.DS.'constants.php';
require_once JPATH_COMPONENT.DS.'helpers'.DS.'helper.php';
require_once JPATH_COMPONENT.DS.'helpers'.DS.'cpauthorization.php';
require_once JPATH_COMPONENT.DS.'helpers'.DS.'template.php';
require_once JPATH_COMPONENT.DS.'helpers'.DS.'Date_Difference.php';

require_once JPATH_COMPONENT.DS.'controller.php';
$controller = JRequest::getWord('controller', '');
if(!$controller) {
	$controller = JRequest::getWord('view', '');
}
if(!$controller) {
	$controller = 'polls';
}
if(!in_array($controller, array('polls','user','upload'))){
	die('Restricted access');
}
require_once (JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php');

// Initialize the controller
$classname	= 'CommunityPollsController'.$controller;
$controller = new $classname( );

$app = &JFactory::getApplication();
$jcp_config=&CommunityPollsHelper::populateJcpConfig();
$auth = new CPAuthorization();

$document	= & JFactory::getDocument();
$menus = &JSite::getMenu();
$menu = $menus->getActive();
$pageclass = "";
if (is_object( $menu )) :
$params = new JParameter( $menu->params );
$pageclass = $params->get( 'pageclass_sfx' );
endif;

JPluginHelper::importPlugin( 'corejoomla' );
$dispatcher =& JDispatcher::getInstance();
$dispatcher->trigger('onCallIncludeJQuery', array(array("jquery", "jqueryui","jqueryform")));

// Perform the Request task
$task = JRequest::getWord('task','');
if(!$task) {
	$task = JRequest::getWord('layout','');
}
$controller->execute( $task );
$controller->redirect();
if($jcp_config[ENABLE_POWERED_BY] && (strcmp($task, "papreview") != 0)){
	echo PollsHelper::getPoweredByLink();
}
?>