<?php
defined('_JEXEC') or die('Restricted access');
$app = &JFactory::getApplication();
$jcp_config = $app->getUserState( SESSION_JCP_CONFIG );
$colorsArray = explode('|', $colors);
if($jcp_config[CHART_TYPE] == CHART_DEFAULT){
    $i = 1;
    $id = 1;
    foreach($this->poll->options as $cp_coption){
    $color = $colorsArray[($id-1)%count($colorsArray)];
    ?>
    <div style="width: 99%">
        <div class="optiontitle">
            <span><?php echo $this->escape($cp_coption->title);?></span>
            <span id="vote<?php echo $id;?>" style="font-weight: bold;"><?php echo " (" . $cp_coption->votes . ' ' . JText::_('LBL_VOTES') . ")";?></span>
        </div>
        <div class="<?php echo 'poll_option' . $i;?>">
            <span style="float: right;" id="percent<?php echo $id;?>"><?php echo $cp_coption->percent;?>%</span>
            <div id="<?php echo 'option' . $id;?>" style="width: <?php echo $cp_coption->percent;?>%; background-color:#<?php echo $color;?>"></div>
        </div>
        <div style="clear: left;"></div>
    </div>
    <?php
    $i = $i%5 + 1;
    $id = $id + 1;
    }
}else if($jcp_config[CHART_TYPE] == CHART_PIE){
    $data = '';
    $labels = '';
    $dimentions = $width . 'x' . $height;

    $i=0;
    $tcolors = '';
    if($this->poll){
        foreach($this->poll->options as $cp_coption){
            $percent = round($cp_coption->percent);
            $data .= $percent . ',';
            $labels .= $percent . '%|';
            $tcolors .= $colorsArray[$i%count($colorsArray)] . ',';
            $i++;
        }
    }
    $data = substr($data, 0, strlen($data) - 1);
    $labels = substr($labels, 0, strlen($labels) - 1);
    $tcolors = substr($tcolors, 0, strlen($tcolors) - 1);
    ?>
    <div style="text-align: center" id="pieimgwrap">
        <img id="pieimg" src="http://chart.apis.google.com/chart?chs=<?php echo $dimentions; ?>&amp;chd=t:<?php echo $data; ?>&amp;cht=p3&amp;chl=<?php echo $labels; ?>&amp;chco=<?php echo $tcolors;?>"
            alt="<?php echo $this->poll->title?>" />
    </div>
    <table class="resulttable">
        <thead>
            <tr>
                <td class="leftarc"></td>
                <td><?php echo JText::_('LABEL_OPTION'); ?></td>
                <td width="40px"><?php echo JText::_('LBL_VOTES')?></td>
                <td width="50px"><?php echo JText::_('LBL_PERCENT');?></td>
                <td width="150px" class="rightarc"></td>
            </tr>
        </thead>
        <tbody>
    <?php
    $i=0;
    if($this->poll){
        foreach($this->poll->options as $cp_coption){
    ?>
        <tr>
            <td>
                <div class="roundedbox" style="background-color: <?php echo '#'.$colorsArray[$i%count($colorsArray)]?>"></div>
            </td>
            <td>
                <?php echo $this->escape($cp_coption->title);?>
            </td>
            <td id="<?php echo 'pie-votes-' . $i; ?>" align="center">
                <?php echo $this->escape($cp_coption->votes);?>
            </td>
            <td id="<?php echo 'pie-percent-' . $i; ?>" align="center">
                <?php echo $this->escape($cp_coption->percent) . "%";?>
            </td>
            <td>
                <div class="bar-wrapper">
                    <div id="<?php echo 'pie-bar-' . $i; ?>" class="bar" style="width: <?php echo $this->escape($cp_coption->percent);?>%;">&nbsp;</div>
                </div>
            </td>
        </tr>
    <?php
        $i++;
        }
    }
    ?>
        </tbody>
    </table>
<?php
}else if($jcp_config[CHART_TYPE] == CHART_INTERACTIVE_PIE){
    if($this->poll){
        $optionsArray = array();
        $votesArray = array();
        foreach($this->poll->options as $cp_coption){
            $optionsArray[] = $this->escape($cp_coption->title);
            $votesArray[] = $this->escape($cp_coption->votes);
        }
        $i = 0;
        $colorCount = count($colorsArray);
        while(count($colorsArray) < count($optionsArray)){
            $index = ($i++)%$colorCount;
            $colorsArray[] = $colorsArray[$index++];
        }
        $document	= & JFactory::getDocument();
        $document->addScript( 'http://www.google.com/jsapi' );
        ?>
        <div id="iPieContainer"></div>
        <script type="text/javascript">
            google.load("visualization", "1", {packages:["piechart"]});
            google.setOnLoadCallback(drawChart);
            function drawChart(){
                drawInteractivePie(
                    document.getElementById('iPieContainer'),
                    <?php echo $width; ?>,
                    <?php echo $height; ?>,
                    <?php echo '["'.implode('","',$optionsArray).'"]';?> ,
                    <?php echo '["'.implode('","',$votesArray).'"]';?>,
                    <?php echo '[{color:"'.implode('"},{color:"',$colorsArray).'"}]';?>);
            }
        </script>
        <table class="resulttable">
            <thead>
                <tr>
                    <td class="leftarc"></td>
                    <td><?php echo JText::_('LABEL_OPTION'); ?></td>
                    <td width="40px"><?php echo JText::_('LBL_VOTES')?></td>
                    <td width="50px"><?php echo JText::_('LBL_PERCENT');?></td>
                    <td width="150px" class="rightarc"></td>
                </tr>
            </thead>
            <tbody>
        <?php
        $i=0;
        if($this->poll){
            foreach($this->poll->options as $cp_coption){
        ?>
            <tr>
                <td>
                    <div class="roundedbox" style="background-color: <?php echo '#'.$colorsArray[$i%count($colorsArray)]?>"></div>
                </td>
                <td id="<?php echo 'option-title-' . $i; ?>">
                    <?php echo $this->escape($cp_coption->title);?>
                </td>
                <td id="<?php echo 'pie-votes-' . $i; ?>" align="center">
                    <?php echo $this->escape($cp_coption->votes);?>
                </td>
                <td id="<?php echo 'pie-percent-' . $i; ?>" align="center">
                    <?php echo $this->escape($cp_coption->percent) . "%";?>
                </td>
                <td>
                    <div class="bar-wrapper">
                        <div id="<?php echo 'pie-bar-' . $i; ?>" class="bar" style="width: <?php echo $this->escape($cp_coption->percent);?>%;">&nbsp;</div>
                    </div>
                </td>
            </tr>
        <?php
            $i++;
            }
        }
        ?>
            </tbody>
        </table>
        <?php
    }
}
?>
