<?php
defined('_JEXEC') or die('Restricted access');
$app = &JFactory::getApplication();
$jcp_config = &$app->getUserState( SESSION_JCP_CONFIG );
$user =& JFactory::getUser();
$menu = &JSite::getMenu();
$mnuitems = $menu->getItems('link', 'index.php?option=com_communitypolls&view=polls&layout=home');
$itemid = isset($mnuitems[0]) ? '&Itemid='.$mnuitems[0]->id : '';

$cancel = JRoute::_('index.php?option=com_communitypolls&amp;controller=polls&amp;task=cancel'.$itemid);
$home = JRoute::_('index.php?option=com_communitypolls&amp;controller=polls&amp;task=list'.$itemid);

$next = null;
$previous = null;
if($this->poll->next) {
	$next = JRoute::_( 'index.php?option=com_communitypolls&amp;controller=polls&amp;task=viewpoll&amp;id='. $this->poll->next->slug . $itemid );
}
if($this->poll->previous) {
	$previous = JRoute::_( 'index.php?option=com_communitypolls&amp;controller=polls&amp;task=viewpoll&amp;id='. $this->poll->previous->slug . $itemid );
}
$colors = 'B2DBF9|F7C01B|90BD0C|D45049|089191|FFEBCC|5FD8A5|E72D29|0957B7|FEFECC';
if($jcp_config[CHART_COLORS]){
	$colors = $jcp_config[CHART_COLORS];
}
$height = 150;
if($jcp_config[PIE_CHART_HEIGHT]){
	$height = $jcp_config[PIE_CHART_HEIGHT];
}
$width=$height * 3;
$document	= & JFactory::getDocument();
$document->addScriptDeclaration( "jQuery(document).ready(function(){attachHandlers();});");
?>

<div id="cpmainwrapper">
	<div id="poll_title"><?php echo $this->escape($this->poll->title); ?></div>
	<?php if(isset($this->poll) && $this->poll->published == '2') : ?>
	<div class="poll_moderation"><?php echo JText::_('TXT_POLL_UNDER_MODERATION');?></div>
	<?php endif; ?>
	<?php if(isset($this->poll)): //if poll set ?>
	<div id="poll-right-block">
		<table class="jaaji" width="100%">
			<tbody>
				<tr>
					<td>
						<a href="<?php echo JRoute::_('index.php?option=com_communitypolls&amp;controller=polls&amp;task=list');?>">
							<img src="<?php echo JURI::base(true); ?>/components/com_communitypolls/assets/images/gohome.png" alt="<?php echo JText::_('GO_HOME');?>" />
							<?php echo JText::_('GO_HOME');?>
						</a>
					</td>
				</tr>
				<?php if(CPAuthorization::authorize('com_communitypolls','create','polls','all')):?>
				<tr>
					<td>
						<a href="<?php echo JRoute::_('index.php?option=com_communitypolls&amp;controller=polls&amp;task=newpoll');?>">
							<img src="<?php echo JURI::base(true); ?>/components/com_communitypolls/assets/images/poll_add.png" alt="<?php echo JText::_('ADD_NEW_POLL');?>" /> 
							<?php echo JText::_('ADD_NEW_POLL');?>
						</a>
					</td>
				</tr>
				<?php endif;?>
				<?php
				if(CPAuthorization::authorize('com_communitypolls','manage','polls','all')){
					$featured = JText::_('MARK_FEATURED');
					$img = JURI::base() . 'components/com_communitypolls/assets/images/featured.png';
					$task = 'fbit';
					if($this->poll->featured){
						$featured = JText::_('UNMARK_FEATURED');;
						$img = JURI::base() . 'components/com_communitypolls/assets/images/ufeatured.png';;
						$task = 'ufbit';
					}
					$url = JRoute::_( 'index.php?option=com_communitypolls&controller=polls&task=' . $task . '&id='. $this->poll->id . $itemid );
				?>
				<tr>
					<td><a href="<?php echo $url;?>"><img src="<?php echo $img;?>"><?php echo $featured;?></a></td>
				</tr>
				<?php
				}
				if(PollsHelper::checkPublishPermissions($this->poll)){
					if($this->poll->published){
						$img = JURI::base() . 'components/com_communitypolls/assets/images/unpublish.png';;
						$publish_href = JRoute::_( 'index.php?option=com_communitypolls&controller=polls&task=unpublish&cid='. $this->poll->id .$itemid );
						$text = JText::_('UNPUBLISH');
					}else{
						$img = JURI::base() . 'components/com_communitypolls/assets/images/publish.png';;
						$publish_href = JRoute::_( 'index.php?option=com_communitypolls&controller=polls&task=publish&cid='. $this->poll->id .$itemid );
						$text = JText::_('PUBLISH');
					}
				?>
				<tr>
					<td><a href="<?php echo $publish_href; ?>"><img
						src="<?php echo $img; ?>"><?php echo $text; ?></a></td>
				</tr>
				<?php
				}
				if(strcmp($jcp_config[USER_AVTAR],'none') != 0){
				?>
				<tr>
					<td align="center"><?php echo PollsHelper::getUserAvtar($this->poll->created_by, 100);?></td>
				</tr>
				<?php
				}
				?>
				<tr>
					<td align="center">
						<?php 
						$username = ($this->poll->username)?$this->poll->username:JText::_('GUEST');
						$username = PollsHelper::getUserProfileUrl($this->poll->created_by,$username);
						?> 
						<strong><?php echo $username; ?></strong>
					</td>
				</tr>
				<?php if(JDocumentHTML::countModules('jcp_below_avatar')){ ?>
				<tr>
					<td><?php echo PollsHelper::loadModulePosition('jcp_below_avatar');?></td>
				</tr>
				<?php
				}
				?>
			</tbody>
		</table>
	</div>
	<div id="poll-main-block">
		<div class="toolbar">
			<strong><?php echo JText::_('CATEGORY');?></strong>:<?php echo $this->escape($this->poll->category);?>&nbsp;&nbsp; 
			<strong><?php echo JText::_('TITLE_POLL_DATE');?></strong>:<?php echo PollsHelper::getFormattedDate($this->escape($this->poll->created));?>&nbsp;&nbsp;
			<strong><?php echo JText::_('LBL_VOTES');?></strong>:<?php echo $this->poll->votes;?> 
			<?php if($this->poll->description):?>
			<div style="margin: 5px 5px 5px 0;"><?php echo $this->poll->description;?></div>
			<?php endif ?>
		</div>
		<?php
		if($this->poll->close_date){
			$todays_date = date("Y-m-d");
			$today = strtotime($todays_date);
			$close_date = strtotime($this->poll->close_date);
			if($close_date < $today){
		?>
		<div class="toolbar" style="margin-bottom: 5px;"><?php echo JText::_('MSG_VOTING_CLOSED');?></div>
		<?php
			}
		}
		if(JDocumentHTML::countModules("jcp_view_poll_top")) {
		?>
		<div style="margin-bottom: 5px;"><?php echo PollsHelper::loadModulePosition('jcp_view_poll_top');?></div>
		<?php
		}
		if($this->poll->eligible){
			$url = JURI::base() . "index.php?option=com_communitypolls&controller=polls&task=ajxvote&id=".$this->poll->id;
		?>
		<form id="votingform" action="<?php echo $url;?>">
			<table class="jaaji">
				<tbody>
					<?php
					foreach($this->poll->options as $cp_voption){
					?>
					<tr>
						<th width="25px;" valign="middle">
							<input type="<?php echo $this->poll->type;?>" name="option_id[]" id="option-<?php echo $cp_voption->id;?>" value="<?php echo $cp_voption->id;?>" />
						</th>
						<td>
							<label for="option-<?php echo $cp_voption->id;?>"><?php echo $this->escape($cp_voption->title);?></label>
							<?php
							if(isset($cp_voption->resources) && (count($cp_voption->resources) > 0)){
								foreach($cp_voption->resources as $resource){
									if($resource->type == 'image'){
							?>
							<div>
								<img src="<?php echo CP_IMAGES_URI . $this->escape($resource->value)?>" alt="<?php echo $this->escape($cp_voption->title);?>">
							</div>
							<?php
									}
								}
							}
						?>
						</td>
					</tr>
					<?php
					}
					?>
				</tbody>
			</table>
		</form>
		<?php
		}
		if(CPAuthorization::authorize('com_communitypolls','viewing','polls','all')){
		?>
		<div id="resultchart" <?php echo ($this->poll->eligible)?'style="display: none"':''?>>
			<?php include_once JPATH_SITE . DS . 'components' . DS . 'com_communitypolls' . DS . 'helpers' . DS . 'charts.php'; ?>
		</div>
		<?php
		}else if(!$this->poll->eligible){
			echo '<div class="toolbar">'.JText::_("MSG_RESULTS_HIDDEN").'</div>';
		}
		?>
		<div style="height: 10px;"></div>
		<table class="nav-links">
			<tr>
				<td>
					<?php if($previous):?>
					<a href="<?php echo $previous; ?>"><?php echo JText::_('BUTTON_PREVIOUS');?></a>
					<?php endif; ?>
					<?php if($next):?>
					<a href="<?php echo $next; ?>"><?php echo JText::_('BUTTON_NEXT');?></a>
					<?php endif; ?>
					<?php if($jcp_config[ALLOW_PREVIEW] == '1' && $this->poll->eligible && CPAuthorization::authorize('com_communitypolls','viewing','polls','all')): ?>
					<a id="btnToggleResult" href="#" onclick="return false"><?php echo JText::_('VIEW_RESULT');?></a>
					<?php endif;?>
					<?php if($this->poll->eligible): ?>
					<a id="btnVote" href="<?php echo JURI::base(); ?>index.php?option=com_communitypolls&controller=polls&task=ajxvote&id=<?php echo $this->poll->id;?>" onclick="return false;"><?php echo JText::_('BUTTON_VOTE');?></a>
					<?php endif;?>
					<img id="loadingImg" alt="<?php echo JText::_('LOADING');?>" src="<?php echo JURI::base(true); ?>/components/com_communitypolls/assets/images/loading.gif?>" style="display: none; vertical-align: middle;">
				</td>
			</tr>
		</table>
		<div class="toolbar">
			<ul class="submenu">
				<li>
					<?php
					$userpolls = JRoute::_( 'index.php?option=com_communitypolls&controller=polls&task=userpolls&uid='. $this->escape($this->poll->created_by).'&pollid='.$this->poll->id . $itemid );
					$voteduser = JRoute::_( 'index.php?option=com_communitypolls&controller=polls&task=votedusers&pollid='. $this->escape($this->poll->id) . $itemid );
					?> 
					<a href="<?php echo $userpolls;?>" class="active"><?php echo JText::_('LBL_ALL_POLLS_FROM') . ' ' . (($this->poll->username)?$this->poll->username:JText::_('GUEST'));?></a>
				</li>
				<li>
					<?php if($this->poll->votes > 1): ?> 
					<a href="<?php echo $voteduser;?>" class="active"><?php echo JText::_('LBL_USERS_VOTED_ON'); ?></a>
					<?php endif; ?>
				</li>
				<?php if(!empty($jcp_config[ENABLE_POLLS_ANYWHERE]) && (($this->poll->anywhere == '1') || ($jcp_config[ENABLE_PA_BY_DEFAULT] == '1' && $this->poll->anywhere == '0'))): ?>
				<li>
					<a class="pa-link active" href="#" id="embed_pollsanywhere" onclick="return false;">&nbsp;<?php echo JText::_('LBL_EMBED_THIS');?></a>
				</li>
				<?php endif;?>
				<?php if(!empty($jcp_config[SHARE_THIS_PUBID])): ?>
				<li>
					<a id="ck_sharethis" class="stbar chicklet active" href="javascript:void(0);"><img src="http://w.sharethis.com/chicklets/sharethis.gif" />ShareThis</a> 
					<script type="text/javascript"> 
						var shared_object = SHARETHIS.addEntry({title: document.title,url: document.location.href}); 
		                shared_object.attachButton(document.getElementById("ck_sharethis"));
		                shared_object.attachChicklet("email", document.getElementById("ck_email"));
		                shared_object.attachChicklet("facebook", document.getElementById("ck_facebook"));
		                shared_object.attachChicklet("twitter", document.getElementById("ck_twitter"));
					</script>
				</li>
		        <?php endif;?>
			</ul>
		</div>
		<div class="toolbar" id="pollsanywhere_code" style="display: none;">
			<div style="text-align: left;">
				<p><?php echo JText::_('TXT_POLLS_ANYWHERE_TEXT');?></p>
				<p>
					<a id="cmd_preview_poll" href="<?php echo JRoute::_('index.php?option=com_communitypolls&view=polls&task=papreview&tmpl=component&id='.$this->poll->id)?>" onclick="return false;">
						<button><?php echo JText::_('LBL_PREVIEW_POLL_STYLE');?></button>
					</a>
				</p>
				<p style="border: 1px dotted #555; padding: 5px;" onclick="">
					&lt;div id="pa-container"&gt;&lt;input type="hidden" /&gt;&lt;/div&gt;
					&lt;script type="text/javascript" src="<?php echo JURI::base()."components/com_communitypolls/assets/scripts/pollsanywhere.js"; ?>"&gt;&lt;/script&gt;
					&lt;script type="text/javascript"&gt;PollsAnywhere({id:<?php echo $this->poll->id;?>});&lt;/script&gt;
				</p>
			</div>
		</div>
		<div style="margin-top: 10px;"><?php include_once JPATH_SITE . DS . 'components' . DS . 'com_communitypolls' . DS . 'helpers' . DS . 'pollsuggestions.php'; ?></div>
	</div>
	<div class="clear"></div>
	<?php echo PollsHelper::loadModulePosition('jcp_view_poll_bottom'); ?>
	<div class="clear"></div>
	<?php
	if($jcp_config[COMMENT_SYSTEM] == "jomcomment") {
		$jomcommentbot = JPATH_PLUGINS . DS . 'content' . DS . 'jom_comment_bot.php';
	    if(file_exists($jomcommentbot)) {
	    	include_once( $jomcommentbot );
	        echo jomcomment($this->poll->id, "com_communitypolls");
        }
    }else if($jcp_config[COMMENT_SYSTEM] == "jcomment") {
		$comments = $app->getCfg('absolute_path') . '/components/com_jcomments/jcomments.php';
	    if (file_exists($comments)) {
	    	require_once($comments);
	        echo JComments::showComments($this->poll->id, 'com_communitypolls', $this->poll->title);
        }
    }else if($jcp_config[COMMENT_SYSTEM] == "jacomment"){
		if(!JRequest::getInt('print') && file_exists(JPATH_SITE.DS.'components'.DS.'com_jacomment'.DS.'jacomment.php') && file_exists(JPATH_SITE.DS.'plugins'.DS.'system'.DS.'jacomment.php')){
	    	$_jacCode = "#{jacomment(.*?) contentid=(.*?) option=(.*?) contenttitle=(.*?)}#i";
	    	$_jacCodeDisableid = "#{jacomment(\s)off.*}#i";
	        $_jacCodeDisable = "#{jacomment(\s)off}#i";
	        if(!preg_match($_jacCode, $this->poll->description) && !preg_match($_jacCodeDisable, $this->poll->description) && !preg_match($_jacCodeDisableid, $this->poll->description)) {
	        	echo '{jacomment contentid='.$this->poll->id.' option=com_communitypolls contenttitle='.$this->poll->title.'}';
            }
        }
    }
	?>
	<?php endif; //end if poll set?>
</div>
<span id="lbl_votes" style="display: none;"><?php echo JText::_("LBL_VOTES");?></span>
<span id="lbl_loading" style="display: none;"><?php echo JText::_("CHART_LOADING_WAIT");?></span>
<span id="txt_colors" style="display: none;"><?php echo $colors;?></span>
<span id="txt_width" style="display: none;"><?php echo $width;?></span>
<span id="txt_height" style="display: none;"><?php echo $height;?></span>
<span id="lbl_view_result" style="display: none;"><?php echo JText::_('VIEW_RESULT');?></span>
<span id="lbl_hide_result" style="display: none;"><?php echo JText::_('HIDE_RESULT');?></span>
<span id="txt_chart_type" style="display: none;"><?php echo (strcmp($jcp_config[CHART_TYPE],'ipie') == 0) ? 2 : ((strcmp($jcp_config[CHART_TYPE],'pie') == 0) ? 1 : 0 );?></span>
