<?php
defined('_JEXEC') or die('Restricted access');
global $option;
jimport('joomla.filesystem.file');
jimport('joomla.filesystem.folder');
$app = &JFactory::getApplication();
$jcp_config = $app->getUserState( SESSION_JCP_CONFIG );
$tmpl = $app->getUserStateFromRequest("$option.theme", "theme", ($this->theme ? $this->theme : $jcp_config[DEFAULT_TEMPLATE]));
$layoutPath = CPTemplateManager::getLayoutPath($tmpl, $this->layoutPath);
$templateUrlPath = CPTemplateManager::getTemplateUrlPath($tmpl, $this->layoutPath);
$document = &JFactory::getDocument();
if($layoutPath) {
    $templatePath = CPTemplateManager::getTemplatePath($tmpl, $this->layoutPath);
    if($templatePath){
        $scripts = JFolder::files($templatePath . 'scripts', '.js');
        $styles = JFolder::files($templatePath . 'css', '.css');
        if($scripts){
            foreach($scripts as $script){
                $document->addScript( $templateUrlPath . '/scripts/' . $script);
            }
        }
        if($styles){
            foreach($styles as $style){
                $document->addStyleSheet($templateUrlPath . '/css/' . $style);
            }
        }
    }
    include_once $layoutPath;
}else {
    JError::raiseError( 403, JText::_('Access Forbidden. Error code: 10001') );
    return;
}
?>