<?php
/**
 * Joomla! 1.5 component Community Polls
 *
 * @version $Id: install.communitypolls.php 2009-08-10 03:45:15 svn $
 * @author Maverick
 * @package Joomla
 * @subpackage Community Polls
 * @license GNU/GPL
 *
 * The Community Polls allows the members of the Joomla website to create and manage polls from the front-end. The administrator has the powerful tools provided in the back-end to manage the polls published by all users.
 *
 * This component file was created using the Joomla Component Creator by Not Web Design
 * http://www.notwebdesign.com/joomla_component_creator/
 *
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// Initialize the database
$db =& JFactory::getDBO();
$update_queries = array ();

/*Default Configuration Properties */
$update_queries[] = 'INSERT INTO `#__jcp_config` (`config_name`, `config_value`) VALUES' .
    '("show_categories", "1" ),'.
    '("author_polls_count", "5" ),'.
    '("featured_polls_count", "5"),' .
    '("related_polls_count", "5"),' .
    '("latest_polls_count", "5"),' .
    '("mostvoted_polls_count", "5"),' .
    '("show_related_polls","1"),' .
    '("related_key_len","3"),' .
    '("cookie_time_to_live", "120"),' .
    '("points_system", "none"),' .
    '("points_for_polls", 0),' .
    '("points_for_votes", "0"),'.
    '("comment_system", "none"),'.
    '("limit_polls", "0"),'.
    '("polls_moderation", "0"),'.
    '("date_format", "%A, %d %B %Y %H:%M"),'.
    '("list_comments", "0"),'.
    '("user_avtar", "none"),'.
    '("chart_colors", "B2DBF9|F7C01B|90BD0C|D45049|089191|FFEBCC|5FD8A5|E72D29|0957B7|FEFECC"),'.
    '("pie_chart_height", "150"),'.
    '("allow_preview", "1"),'.
    '("poll_suggestions_order", "A,F,R,L,M"),'.
    '("user_name", "username"),'.
    '("desc_required", "0"),'.
    '("desc_min_length", "0"),'.
    '("default_template", "sirimalli"),'.
    '("chart_type", "pie"),'.
    '("show_author", "1"),'.
    '("show_avatar", "1"),'.
    '("list_length", "20"),'.
    '("allow_publish_polls", "0"),'.
    '("js_poll_activity_enabled", "0"),'.
    '("js_vote_activity_enabled", "0"),'.
    '("related_excludes", "the,and,or,you,your,for,that,were,is,am,shall,not,if,are,with,should,has,had,would,will,they,them,there,this,that,see,seem,saw,say,said,which,the,how,have"),'.
    '("notify_poll_approval", "0"),'.
    '("approval_sender_email", ""),'.
    '("approval_sender_name", ""),'.
    '("approval_email_title", ""),'.
    '("approval_email_body", ""),'.
    '("disapproval_email_title", ""),'.
    '("disapproval_email_body", ""),'.
    '("enable_twitter", "0"),'.
    '("twitter_user_name", ""),'.
    '("twitter_password", ""),'.
    '("short_url_service", ""),'.
    '("bit_ly_login", ""),'.
    '("bit_ly_api_key", ""),'.
    '("permission_creation", ""),'.
    '("permission_voting", ""),'.
    '("permission_managing", ""),'.
    '("max_image_size", "256"),'.
    '("allowed_image_extensions", ""),'.
    '("allowed_images", "0"),'.
    '("vote_restriction_method", "cookies"),'.
    '("enable_powered_by","1"),'.
    '("config_modif_time", "")';
$update_queries[] = 'ALTER TABLE `#__jcp_polls` ADD COLUMN `description` TEXT AFTER `title`';
$update_queries[] = 'ALTER TABLE `#__jcp_polls` ADD COLUMN `featured` TINYINT(3) UNSIGNED AFTER `category`';
$update_queries[] = 'ALTER TABLE `#__jcp_polls` ADD COLUMN `close_date` DATETIME DEFAULT NULL AFTER `featured`';
$update_queries[] = 'ALTER TABLE `#__jcp_polls` ADD COLUMN `close_date` DATETIME DEFAULT NULL AFTER `featured`';
$update_queries[] = 'ALTER TABLE `#__jcp_polls` ADD COLUMN `ip_address` VARCHAR(39) DEFAULT NULL';
$update_queries[] = 'ALTER TABLE `#__jcp_polls` ADD COLUMN `type` VARCHAR(10) DEFAULT \'radio\'';
$update_queries[] = 'ALTER TABLE `#__jcp_polls` ADD COLUMN `voters` INT(9) UNSIGNED NOT NULL DEFAULT \'0\'';
$update_queries[] = 'ALTER TABLE `#__jcp_polls` ADD COLUMN `anywhere` TINYINT(3) UNSIGNED NOT NULL DEFAULT \'0\'';
$update_queries[] = 'ALTER TABLE `#__jcp_polls` MODIFY COLUMN `published` TINYINT(3)';
$update_queries[] = 'ALTER TABLE `#__jcp_votes` MODIFY COLUMN `ip_address` VARCHAR(39) DEFAULT NULL';
$update_queries[] = 'ALTER TABLE `#__jcp_votes` ADD COLUMN `option_id` INT(10) UNSIGNED NOT NULL DEFAULT \'0\'';
$update_queries[] = 'ALTER TABLE `#__jcp_guest_votes` ADD COLUMN `poll_id` INT(10)';
$update_queries[] = 'ALTER TABLE `#__jcp_guest_votes` ADD COLUMN `option_id` INT(10) UNSIGNED NOT NULL DEFAULT \'0\'';
$update_queries[] = 'ALTER TABLE `#__jcp_config` MODIFY COLUMN `config_value` TEXT CHARACTER SET utf8 utf8_general_ci NOT NULL';
$update_queries[] = 'ALTER TABLE `#__jcp_config` MODIFY COLUMN `config_value` TEXT CHARACTER SET utf8 utf8_general_ci NOT NULL';
$update_queries[] = 'ALTER TABLE `#__jcp_options` ADD COLUMN `type` VARCHAR(10) DEFAULT NULL';
$update_queries[] = 'ALTER TABLE `#__jcp_options` MODIFY COLUMN `type` VARCHAR(10) DEFAULT NULL';
$update_queries[] = 'ALTER TABLE `#__jcp_votes` ADD `column_id` INT UNSIGNED NOT NULL DEFAULT \'0\' AFTER `option_id`';
// Perform all queries - we don't care if it fails
foreach( $update_queries as $query ) {
    $db->setQuery( $query );
    $db->query();
}

// Sync
$query = 'INSERT INTO #__jcp_votes(poll_id,voter_id,ip_address,voted_on,option_id) SELECT g.poll_id,0,g.ip_address,g.voted_on,g.option_id FROM #__jcp_guest_votes g';
$db->setQuery( $query );
if($db->query()){
    $query = "SELECT SUM(voters) FROM #__jcp_polls";
    $db->setQuery($query);
    $result = $db->loadResult();
    if($result < 1){
        $query = 'UPDATE #__jcp_polls set voters=votes';
        $db->setQuery($query);
        $db->query();
    }

    $query = 'DELETE FROM #__jcp_guest_votes';
    $db->setQuery( $query );
    $db->query();
}

$file = JPATH_ROOT . DS . "components" . DS . "com_communitypolls" . DS . "assets" . DS . "scripts" . DS . "pollsanywhere.js";
$content = file_get_contents($file);
$content = str_replace('YOUR_WEBSITE_END_WITH_SLASH',JURI::root(), $content);
$f = fopen($file,'w');
if($f) {
  fwrite($f, $content);
  fclose($f);
} else {
  echo 'Failed to update pollsanywhere script file. Please manually update your website URL in com_communitypolls/templates/default(2)/scripts/pollsanywhere.js file';
}
echo "<b><font color=\"red\">Database tables successfully migrated to the latest version. Please check the configuration options once again.</font></b>";
?>