<?php
/**
 * Community Polls plugin for sh404SEF support.
 * Copyright CoreJoomla - 2009-10
 * www.corejoomla.com
 * @version  1.0 $
 */

defined( '_JEXEC' ) or die( 'Direct Access is not allowed.' );

// ------------------ standard plugin initialize function - don't change ---------------------------
global $sh_LANG, $sefConfig;
$database = &JFactory::getDBO();
$shLangName = '';;
$shLangIso = '';
$title = array();
$shItemidString = '';
$dosef = shInitializePlugin( $lang, $shLangName, $shLangIso, $option);
// ------------------ standard plugin initialize function - don't change --------------------------- 

// ------------------  load language file - adjust as needed ----------------------------------------
JPlugin::loadLanguage( 'com_communitypolls' );	
// ------------------  load language file - adjust as needed ----------------------------------------                                        
// do something about that Itemid thing
if (!preg_match( '/Itemid=[0-9]+/i', $string)) { // if no Itemid in non-sef URL
  //global $Itemid;
  if ($sefConfig->shInsertGlobalItemidIfNone && !empty($shCurrentItemid)) {
    $string .= '&Itemid='.$shCurrentItemid;  // append current Itemid 
    $Itemid = $shCurrentItemid;
    shAddToGETVarsList('Itemid', $Itemid); // V 1.2.4.m
  }  
  if ($sefConfig->shInsertTitleIfNoItemid)
  	$title[] = $sefConfig->shDefaultMenuItemName ? 
      $sefConfig->shDefaultMenuItemName : getMenuTitle($option, null, $shCurrentItemid );
  $shItemidString = $sefConfig->shAlwaysInsertItemid ? 
    _COM_SEF_SH_ALWAYS_INSERT_ITEMID_PREFIX.$sefConfig->replacement.$shCurrentItemid
    : '';
} else {  // if Itemid in non-sef URL
  $shItemidString = $sefConfig->shAlwaysInsertItemid ? 
    _COM_SEF_SH_ALWAYS_INSERT_ITEMID_PREFIX.$sefConfig->replacement.$Itemid
    : '';
}

shRemoveFromGETVarsList('option');
shRemoveFromGETVarsList('lang');
shRemoveFromGETVarsList('view');
shRemoveFromGETVarsList('id');
shRemoveFromGETVarsList('layout');
if( isset($Itemid) ) shRemoveFromGETVarsList('Itemid');
if( isset($itemid) ) shRemoveFromGETVarsList('itemid');
if (!empty($limit)) shRemoveFromGETVarsList('limit');
if (isset($limitstart))	shRemoveFromGETVarsList('limitstart');  

$shName = shGetComponentPrefix($option);
$shName = empty($shName) ? getMenuTitle($option, (isset($controller)?@$controller:(isset($view) ? @$view : null)), $Itemid ) : $shName;
if (!empty($shName) && $shName != '/') $title[] = $shName;  // V x

$mainframe = JFactory::getApplication();
if(!$mainframe){
	global $mainframe;
}

if(isset($controller)){
	shRemoveFromGETVarsList('controller');
//	$title[] = $controller;
}

if(isset($view)){
	shRemoveFromGETVarsList('view');
//	$title[] = $view;
}

if (isset($task)) {
	shRemoveFromGETVarsList('task');
	$title[] = $task;
}

if (isset($catid)) {
	shRemoveFromGETVarsList('catid');
	$database->setQuery("SELECT `alias` FROM `#__jcp_categories` WHERE `id` = '$catid'");
	$result = $database->loadResult();
	$name = $catid . '-' . $result;
	$title[] = $name;
}

$database->setQuery("SELECT `title`, `alias` FROM `#__jcp_polls` WHERE `id` = '$id'");
$rows = $database->loadObjectList();

if ($database->getErrorNum()) die( $database->stderr());
elseif (@count($rows) > 0 && !empty($rows[0]->alias)) {
    $name = $id . '-' . $rows[0]->alias;
    $title[] = $name;
}

// ------------------ standard plugin finalize function - don't change ---------------------------
if ($dosef){
$string = shFinalizePlugin( $string, $title, $shAppendString, $shItemidString,
(isset($limit) ? @$limit : null), (isset($limitstart) ? @$limitstart : null),
(isset($shLangName) ? @$shLangName : null));
}
// ------------------ standard plugin finalize function - don't change --------------------------- 
	
?>
