<?php
/**
 * Joomla! 1.5 module Latest Articles
 *
 * @version $Id: helper.php 2009-05-10 01:47:01 svn $
 * @author Maverick
 * @package modules
 * @subpackage mod_latest_articles
 * @license GNU/GPL
 *
 * This module displays the latest articles published on the site.
 */
defined('_JEXEC') or die('Direct Access to this location is not allowed.');
class modCommunityPollsHelper{
	
    function getItems(&$params){
    	
	    global $mainframe;
      // get a reference to the database
			$db							=& JFactory::getDBO();
      $user						=& JFactory::getUser();
 			$count		    	= intval($params->get('count', 5));
			$menuid		    	= intval($params->get('itemidmenu'), 0);
			$username				= trim($params->get('username', 'name'));
			$listtype				= intval($params->get('listtype', 0));
			$limitdays			= intval($params->get('limitdays', 0));
			$limitcategories= trim($params->get('limitcategories', ''));
			$nullDate				= $db->getNullDate();
		
			$date 					=& JFactory::getDate();
			$now  					= $date->toMySQL();
			
			$where[] = 'p.published = 1';
			if($limitcategories && $limitcategories != ''){
				$where[] = 'p.category IN (' . $limitcategories . ')';
			}
			
			if($limitdays){
				$where[] = 'p.created > (NOW() - ' . $limitdays . ')';
			}
			
			$orderby = '';
			if($listtype == 1){
				$orderby = ' ORDER BY p.votes DESC';
			}else{
				$orderby = ' ORDER BY p.created DESC';
			}
			
			$where = ( count( $where ) ? ' WHERE ' . implode( ' AND ', $where ) : '' );
			
			$query = 'SELECT p.id, p.title, p.votes,' .
				' CASE WHEN CHAR_LENGTH(p.alias) THEN CONCAT_WS(":", p.id, p.alias) ELSE p.id END as slug,' .
				' c.title AS category, u.' . $username . ' AS username FROM '.
				' #__jcp_polls p LEFT JOIN #__jcp_categories c ON p.category = c.id ' . 
				' LEFT JOIN #__users u ON p.created_by = u.id' . $where . $orderby;
			
      $db->setQuery($query , 0, $count);
			$rows = $db->loadObjectList();
			return $rows;
		}
} //end
