var requestSent = false;
function cprpUpdateBarChart(options,LBL_VOTES){
	var total_votes = 0;
    for (i=0; i < options.length; i++){
        var percent = options[i].percent+'%';
        var votes = ' (' + options[i].votes + ' ' + LBL_VOTES + ')';
        jQuery("#cprp-option-" + (i+1)).css("width",percent);
        jQuery("#cprp-votes-" + (i+1)).html(votes);
        total_votes = total_votes + parseInt(options[i].votes);
    }
    jQuery("#cprp-vote-count").html(total_votes);
}

function cprpUpdatePieChart(options,alt,chartDimentions){
    var piearcs = '';
    var titles = '';
    var percent;
    var votes;
    var count = 0;
    for (i=0; i < options.length; i++){
        piearcs = piearcs + Math.round(parseFloat(options[i].percent)) + ',';
        titles = titles + options[i].percent + '%|';
        count = count + parseInt(options[i].votes);
    }
    piearcs = piearcs.substr(0, piearcs.length - 1);
    titles = titles.substr(0, titles.length - 1);
    piesrcold = document.getElementById('cprp-pie').src;
    colors = piesrcold.substr(piesrcold.indexOf('chco=') + 5);
    var date = new Date();
    piesrc = 'http://chart.apis.google.com/chart?chs=' + chartDimentions + '&amp;chd=t:' + piearcs + '&amp;cht=p3&amp;chl=' + titles +  '&amp;chco=' + colors;
    piesrc = piesrc + '&amp;v=' + date.getTime();
    if(jQuery("#txt_bgcolor").html().length > 0){
    	piesrc = piesrc + '&amp;chf=bg,s,' + jQuery("#txt_bgcolor").html();
    }
    html = '<img src="' + piesrc + '" alt="' + alt + '"/>';
    document.getElementById('cprp-piewrapper').innerHTML = html;
    try{
        document.getElementById('cprp-vote-count').innerHTML = count;
    }catch(e){}
}

function cprpUpdateWrapper(){
    jQuery("#cprp-result").show();
    jQuery("#voting-form").hide();
}
function cprp_attach_handlers(){
	jQuery("#cprp-cast-vote").click(function(){
		jQuery("#cprp-loadingImg").show();
		if(jQuery("#voting-form").find("input:checked").length <= 0){
			alert(jQuery("#msg_no_selection").html());
			jQuery("#cprp-loadingImg").hide();
		}else{
			jQuery("#voting-form").ajaxSubmit({ 
				type			: "post", 
				dataType		: "json",
				success			: function(data, status, xhr, form){
					if(typeof data.error != 'undefined' && data.error != null){
						alert(data.error);
						jQuery("#cprp-loadingImg").hide();
					}else if(typeof data.info != 'undefined' && data.info.length > 0){
						alert(data.info);
						jQuery("#cprp-loadingImg").hide();
					}else{
						var chart_type = parseInt(jQuery("#lbl_chart_type").html());
						if(chart_type == 0){
							cprpUpdateBarChart(data.poll.options, jQuery("#lbl_votes").html());
				        }else if(chart_type == 1){
					        var graph_width = jQuery("#graph_width").html();
				            cprpUpdatePieChart(data.poll.options, jQuery("#lbl_waitig").html(),graph_width);
				        }
						cprpUpdateWrapper();
						jQuery("#cprp-loadingImg").hide();
					}	
				}
			});
		}
		return false;
	});
}