<?php
/*
* @package		AceSEF
* @subpackage	AlphaContent
* @copyright	2009 JoomAce LLC, www.joomace.net
* @license		http://www.joomace.net/company/license
*/

// No Permission
defined('_JEXEC') or die('Restricted access');

class AceSEF_com_communitypolls extends AceSEFTools {
	
	function getCategoryTitle($id) {
        $database =& JFactory::getDBO();
        $database->setQuery("SELECT c.title, c.alias FROM #__jcp_polls p left join #__jcp_categories c on p.id=c.id WHERE p.id =".$id);
        $rows = $database->loadRow();

		$name = (($this->params->get('categoryid_inc', '1') != '1') ? $id.'-' : '');
		if(AceSEFTools::urlPart($this->params->get('category_part', 'global')) == 'title'){
			$name .= $rows[0];
		}else{
			$name .= $rows[1];
		}
		return array($name);
    }
	
	function getPollTitle($id) {
		$joomfish = $this->acesef_config->joomfish_trans_url ? ', id' : '';
		
        $database =& JFactory::getDBO();
        $database->setQuery("SELECT title, alias$joomfish FROM #__jcp_polls WHERE id =".$id);
		$rows = $database->loadRow();
		
		$name = (($this->params->get('pollid_inc', '2') != '2') ? $id.'-' : '');
		if(AceSEFTools::urlPart($this->params->get('polltitle_part', 'global')) == 'title'){
			$name .= $rows[0];
		}else{
			$name .= $rows[1];
		}
		
		return $name;
    }
	
	function beforeBuildRoute(&$uri) {
			
        return;
    }
	
	function buildRoute(&$uri) {
		$vars = $uri->getQuery(true);
        extract($vars);
		$title = array();
		
		if (isset($controller)){
            $title[] = $controller;
        }
        
		if (isset($view)){
            $title[] = $view;
        }

        if (isset($task)){
            $title[] = $task;
        }
		
        if(isset($id)){
            $title[] = $this->getPollTitle($id);
        }else  if(isset($cid)){
            $title[] = $this->getPollTitle($cid);
        }else if (isset($pollid)){
            $title[] = $this->getPollTitle($pollid);
        }
		
		if(isset($sort)){
			$title[] = $sort;
		}
		
		if(isset($ordering)){
			$title[] = $ordering;
		}

		return $title;
	}
	
	function metaTags(&$uri) {
		$vars = $uri->getQuery(true);
        extract($vars);
		
		$separator			= $this->params->get('separator', '-');
		$keywords_word		= $this->params->get('keywords_word', '3');
		$keywords_count		= $this->params->get('keywords_count', '15');
		$blacklist			= $this->params->get('blacklist', '');
		
		$acesef_title = $acesef_desc = $acesef_key = "";
		
		if(isset($id)) {
			$acesef_title	= implode(" ".$separator." ", array_reverse($this->getCategoryTitle($id)));
		}
		
		if(isset($view) || isset($controller)) {
			$acesef_title = AceSEFTools::getMenuTitle($option, $Itemid);
		}
		
		$meta = AceSEFTools::setMetaData($acesef_title, $acesef_desc, $acesef_key);
		
		return $meta;
	}
}
?>