<?php
/**
 * Joomla! 1.5 component Community Polls
 *
 * @version $Id: communitypolls.php 2009-08-10 03:45:15 svn $
 * @author Maverick
 * @package Joomla
 * @subpackage Community Polls
 * @license GNU/GPL
 *
 * The Community Polls allows the members of the Joomla website to create and manage polls from the front-end.
 * The administrator has the powerful tools provided in the back-end to manage the polls published by all users.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// Require the base controller
require_once JPATH_COMPONENT_SITE.DS.'helpers'.DS.'helper.php';
require_once JPATH_COMPONENT.DS.'helpers'.DS.'helper.php';
require_once JPATH_COMPONENT.DS.'helpers'.DS.'constants.php';

// Require the base controller
require_once JPATH_COMPONENT.DS.'controller.php';
// Require specific controller if requested
$controller = JRequest::getWord('controller', '');
$task = JRequest::getWord('task');
if(!$task){
    $task = JRequest::getWord('layout');
}
if(!$controller || $task == 'cpanel') {
    $controller = 'cpanel';
}
if(!in_array($controller, array('about','approval','categories','config','cpanel','polls','statistics','users'))){
    die('Restricted access');
}

require_once (JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php');
// Initialize the controller
$classname	= 'CommunityPollsController'.$controller;
$controller = new $classname( );

$document	= & JFactory::getDocument();
$document->addStyleSheet(JURI::base(true).'/components/com_communitypolls/assets/css/styles.css');

CommunityPollsHelper::populateJcpConfig();
JToolBarHelper ::custom( 'cpanel', 'cpanel.png', 'cpanel.png', 'Control Panel', false, false );

// Perform the Request task
$controller->execute( $task );
$controller->redirect();
?>