<?php
/**
 * Joomla! 1.5 component Community Polls
 *
 * @version $Id: controller.php 2009-08-10 03:45:15 svn $
 * @author Maverick
 * @package Joomla
 * @subpackage Community Polls
 * @license GNU/GPL
 *
 * The Community Polls allows the members of the Joomla website to create and manage polls from the front-end. The administrator has the powerful tools provided in the back-end to manage the polls published by all users.
 *
 * This component file was created using the Joomla Component Creator by Not Web Design
 * http://www.notwebdesign.com/joomla_component_creator/
 *
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.controller' );
require_once( JPATH_COMPONENT.DS.'helpers'.DS.'helper.php' );

/**
 * Community Polls Controller
 *
 * @package Joomla
 * @subpackage Community Polls
 */
class CommunityPollsController extends JController {
    /**
     * Constructor
     * @access private
     * @subpackage Community Polls
     */
    function __construct() {
        //Get View
        if(JRequest::getCmd('view') == '') {
            JRequest::setVar('view', 'polls');
        }
        $this->item_type = 'list';
        parent::__construct();
    }
}
?>