<?php
/**
 * Joomla! 1.5 component Community Polls
 *
 * @version $Id: cpanel.php 2009-08-10 03:45:15 svn $
 * @author Maverick
 * @package Joomla
 * @subpackage Community Polls
 * @license GNU/GPL
 *
 * The Community Polls allows the members of the Joomla website to create and manage polls from the front-end.
 * The administrator has the powerful tools provided in the back-end to manage the polls published by all users.
 */

defined('_JEXEC') or die();

class CommunityPollsControllerCPanel extends JController {

    function __construct() {
        parent::__construct();
        $this->registerDefaultTask('Cpanel');
    }

    function Cpanel() {
        $view =& $this->getView('cpanel', 'html');
        $model =& $this->getModel('polls');
        $view->setModel($model, true);
        $view->display();
    }
}
?>
