<?php
/**
 * Joomla! 1.5 component Community Polls
 *
 * @version $Id: statistics.php 2009-08-10 03:45:15 svn $
 * @author Maverick
 * @package administrator.controllers
 * @subpackage Community Polls
 * @license GNU/GPL
 *
 * The Community Polls allows the members of the Joomla website to create and manage polls from the front-end.
 * The administrator has the powerful tools provided in the back-end to manage the polls published by all users.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');

/**
 * Description of communitypollsControllerPolls
 *
 * @author maverick
 */
class CommunityPollsControllerStatistics extends JController {

    function __construct() {
        parent::__construct();
        $this->registerDefaultTask('getStatistics');
    }

    function getStatistics(){
        $view = & $this->getView('statistics', 'html');
        $model = & $this->getModel('statistics');
        $view->setModel($model, true);
        $view->display();
    }
}
?>
