<?php
/**
 * Joomla! 1.5 component Community Polls
 *
 * @version $Id: categories.php 2009-08-10 03:45:15 svn $
 * @author Maverick
 * @package Joomla
 * @subpackage Community Polls
 * @license GNU/GPL
 *
 * The Community Polls allows the members of the Joomla website to create and manage polls from the front-end.
 * The administrator has the powerful tools provided in the back-end to manage the polls published by all users.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');

/**
 * Description of communitypollsControllerPolls
 *
 * @author maverick
 */
class CommunityPollsControllerUsers extends JController {

    function __construct() {
        parent::__construct();
        $this->registerDefaultTask('getUsers');
        $this->registerTask('details', 'getUserDetails');
        $this->registerTask('sync','synchronize');
    }

    function getUsers() {
        $view = & $this->getView('users', 'html');
        $model = & $this->getModel('users');
        $view->setModel($model, true);
        $view->setLayout('list');
        $view->display();
    }

    function getUserDetails(){
        $view = & $this->getView('users', 'html');
        $model = & $this->getModel('users');
        $view->setModel($model, true);
        $model = & $this->getModel('polls');
        $view->setModel($model, true);
        $view->setLayout('details');
        $view->display();
    }

    function synchronize(){
        $view = & $this->getView('users', 'html');
        $model = & $this->getModel('users');
        $model->synchronize();
        $view->setModel($model, true);
        $view->setLayout('list');
        $view->display();
    }
}
?>
