<?php
/**
 * Joomla! 1.5 component Community Polls
 *
 * @version $Id: view.html.php 2009-08-10 03:45:15 svn $
 * @author Maverick
 * @package Joomla
 * @subpackage Community Polls
 * @license GNU/GPL
 *
 * The Community Polls allows the members of the Joomla website to create and manage polls from the front-end.
 * The administrator has the powerful tools provided in the back-end to manage the polls published by all users.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// Import Joomla! libraries
jimport( 'joomla.application.component.view');
class CommunityPollsViewApproval extends JView {
    
    function display($tpl = null) {
        JToolBarHelper::title( JText::_('TITLE_COMMUNITY_POLLS').': <small><small>[ ' . JText::_('APPROVAL_LIST') .' ]</small></small>', 'polls.png');
        
        if($this->getLayout() == 'list') {
            JToolBarHelper::publishList();
            JToolBarHelper::unpublishList();
            JToolBarHelper::deleteList();
            
            $model = & $this->getModel('polls');
            $result = &$model->getPolls(2);
            $this->assignRef( 'polls', $result->data );            
            $this->assignRef( 'categories', $result->categories );
            $this->assignRef( 'users', $result->users );
            $this->assignRef( 'pagination', $result->pagination );
            $this->assignRef( 'lists', $result->lists );
        }
        parent::display($tpl);
    }
}
?>