<?php
defined('_JEXEC') or die('Restricted access');
$ordering = 1;
JHTML::_('behavior.tooltip');
?>
<form action="index.php" method="post" name="adminForm">
    <div id="editcell">
        <table class="adminlist">
            <thead>
                <tr>
                    <th width="20">
                        <?php echo JText::_( 'ID' ); ?>
                    </th>
                    <th width="20">
                        <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->categories ); ?>);" />
                    </th>
                    <th>
                        <?php echo JText::_( 'Title' ); ?>
                    </th>
                    <th width="8%" nowrap="nowrap">
                        <?php if ($ordering) echo JHTML::_('grid.order',  $this->categories ); ?>
                    </th>
                    <th width="10%">
                        <?php echo JText::_( 'Published' ); ?>
                    </th>
                    <th width="10%">
                        <?php echo JText::_( 'Locked' ); ?>
                    </th>
                    <th width="10%">
                        <?php echo JText::_( 'Polls Count' ); ?>
                    </th>
                    <th width="10%">
                        <?php echo JText::_( 'Votes Count' ); ?>
                    </th>
                </tr>
            </thead>
            <?php
            $k = 0;
            for ($i=0, $n=count( $this->categories ); $i < $n; $i++)
            {
                $row =& $this->categories[$i];
                $checked    = JHTML::_( 'grid.id', $i, $row->id );
                $link = JRoute::_( 'index.php?option=com_communitypolls&controller=categories&task=edit&cid[]='. $row->id );
                ?>
            <tr class="<?php echo "row$k"; ?>">
                <td>
                    <?php echo $row->id; ?>
                </td>
                <td>
                    <?php echo $checked; ?>
                </td>
                <td>
                    <a href="<?php echo $link;?>">
                        <?php echo $row->title; ?>
                    </a>
                </td>
				<td class="order">
					<span><?php echo $this->pagination->orderUpIcon( $i, true, 'orderup', 'Move Up', $ordering ); ?></span>
					<span><?php echo $this->pagination->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', $ordering ); ?></span>
					<?php $disabled = $ordering ?  '' : 'disabled="disabled"'; ?>
					<input type="text" name="order[]" size="5" value="<?php echo $row->ordering; ?>" <?php echo $disabled ?> class="text_area" style="text-align: center" />
				</td>
                <td align="center">
                    <?php
                        $publishUrl = "#";
                        if($row->published == 1){
                            $img = 'published.png';
                            $alt = 'UNPUBLISH_CATEGORY';
                            $publishUrl = JRoute::_( 'index.php?option=com_communitypolls&controller=categories&task=unpublish&cid[]='. $row->id );
                        }else{
                            $img = 'rejected.png';
                            $alt = 'PUBLISH_CATEGORY';
                            $publishUrl = JRoute::_( 'index.php?option=com_communitypolls&controller=categories&task=publish&cid[]='. $row->id );
                        }
                     ?>
                    <a href="<?php echo $publishUrl; ?>">
                        <img src="components/com_communitypolls/assets/images/<?php echo $img; ?>" border="0" title="<?php echo JText::_( $alt ); ?>" alt="<?php echo JText::_( $alt ); ?>" />
                    </a>
                </td>
                <td align="center">
                    <?php
                        $lockUrl = "#";
                        if($row->locked == 1){
                            $img = 'published.png';
                            $alt = 'LOCK_CATEGORY';
                            $lockUrl = JRoute::_( 'index.php?option=com_communitypolls&controller=categories&task=unlock&cid[]='. $row->id );
                        }else{
                            $img = 'rejected.png';
                            $alt = 'UNLOCK_CATEGORY';
                            $lockUrl = JRoute::_( 'index.php?option=com_communitypolls&controller=categories&task=lock&cid[]='. $row->id );
                        }
                     ?>
                    <a href="<?php echo $lockUrl; ?>">
                        <img src="components/com_communitypolls/assets/images/<?php echo $img; ?>" border="0" title="<?php echo JText::_( $alt ); ?>" alt="<?php echo JText::_( $alt ); ?>" />
                    </a>
                </td>
                <td>
                    <?php echo ($row->polls)?$row->polls:'0'; ?>
                </td>
                <td>
                    <?php echo ($row->votes)?$row->votes:'0'; ?>
                </td>
            </tr>
            <?php
            $k = 1 - $k;
        }
        ?>
        </table>
    </div>

    <input type="hidden" name="option" value="com_communitypolls" />
    <input type="hidden" name="controller" value="categories" />
    <input type="hidden" name="task" value="" />
    <input type="hidden" name="boxchecked" value="0" />
    <?php echo JHTML::_( 'form.token' ); ?>
</form>
