<?php
defined('_JEXEC') or die('Restricted access');
$app = &JFactory::getApplication();
$jcp_config = $app->getUserState( SESSION_JCP_CONFIG );

$authorHtml = '';
$featuredHtml = '';
$relatedHtml = '';
$latestHtml = '';
$mostVotedHtml = '';

$poll_suggestions_order = explode(',', $jcp_config[POLL_SUGGESTIONS_ORDER]);
if($this->poll && !empty($poll_suggestions_order)) {
	if(!$jcp_config[POLL_SUGGESTIONS_ORDER]){
		$poll_suggestions_order = explode(',','A,F,R,L,M');
	}
	
	if($this->poll->authorpolls) {
        $i=0;
        $authorHtml.='<div class="as-wrapper">';
        foreach($this->poll->authorpolls as $item) {
            $link = JRoute::_( 'index.php?option=com_communitypolls&amp;controller=polls&amp;task=viewpoll&amp;id='. $item->slug.$itemid );
            $authorHtml .= (($i)?'<div class="as-content-odd">':'<div class="as-content-even">');
            $authorHtml.='<a href="' . $link . '" title="' . $this->escape($item->title) .'">' . $this->escape($item->title) . '</a>';
            $authorHtml.='<small style="color: #8C0A00;"> (' . $item->votes . ' ' . JText::_('LBL_VOTES') . ')</small>';
            $authorHtml.='</div>';
            $i=1-$i;
        }
        $authorHtml.='</div>';
    }
    if($this->poll->featuredpolls) {
        $i=0;
        $featuredHtml.='<div class="as-wrapper">';
        foreach($this->poll->featuredpolls as $item) {
            $link = JRoute::_( 'index.php?option=com_communitypolls&amp;controller=polls&amp;task=viewpoll&amp;id='. $item->slug.$itemid );
            $featuredHtml.= (($i)?'<div class="as-content-odd">':'<div class="as-content-even">');
            $featuredHtml.='<a href="' . $link . '" title="' . $this->escape($item->title) .'">' . $this->escape($item->title) . '</a>';
            $featuredHtml.='<small style="color: #8C0A00;"> (' . $item->votes .  ' ' . JText::_('LBL_VOTES') .')</small>';
            $featuredHtml.='</div>';
            $i=1-$i;
        }
        $featuredHtml.='</div>';
    }
    if($this->poll->relatedpolls) {
        $i=0;
        $relatedHtml.='<div class="as-wrapper">';
        foreach($this->poll->relatedpolls as $item) {
            $link = JRoute::_( 'index.php?option=com_communitypolls&amp;controller=polls&amp;task=viewpoll&amp;id='. $item->slug.$itemid );
            $relatedHtml .= (($i)?'<div class="as-content-odd">':'<div class="as-content-even">');
            $relatedHtml.='<a href="' . $link . '" title="' . $this->escape($item->title) .'">' . $this->escape($item->title) . '</a>';
            $relatedHtml.='<small style="color: #8C0A00;"> (' . $item->votes .  ' ' . JText::_('LBL_VOTES') .')</small>';
            $relatedHtml.='</div>';
            $i=1-$i;
        }
        $relatedHtml.='</div>';
    }
    if($this->poll->latestpolls) {
        $i=0;
        $latestHtml.='<div class="as-wrapper">';
        foreach($this->poll->latestpolls as $item) {
            $link = JRoute::_( 'index.php?option=com_communitypolls&amp;controller=polls&amp;task=viewpoll&amp;id='. $item->slug.$itemid );
            $latestHtml .= (($i)?'<div class="as-content-odd">':'<div class="as-content-even">');
            $latestHtml.='<a href="' . $link . '" title="' . $this->escape($item->title) .'">' . $this->escape($item->title) . '</a>';
            $latestHtml.='<small style="color: #8C0A00;"> (' . $item->votes .  ' ' . JText::_('LBL_VOTES') .')</small>';
            $latestHtml.='</div>';
            $i=1-$i;
        }
        $latestHtml.='</div>';
    }
    if($this->poll->mostvotedpolls) {
        $i=0;
        $mostVotedHtml.='<div class="as-wrapper">';
        foreach($this->poll->mostvotedpolls as $item) {
            $link = JRoute::_( 'index.php?option=com_communitypolls&amp;controller=polls&amp;task=viewpoll&amp;id='. $item->slug.$itemid );
            $mostVotedHtml .= (($i)?'<div class="as-content-odd">':'<div class="as-content-even">');
            $mostVotedHtml.='<a href="' . $link . '" title="' . $this->escape($item->title) .'">' . $this->escape($item->title) . '</a>';
            $mostVotedHtml.='<small style="color: #8C0A00;"> (' . $item->votes .  ' ' . JText::_('LBL_VOTES') .')</small>';
            $mostVotedHtml.='</div>';
            $i=1-$i;
        }
        $mostVotedHtml.='</div>';
    }
	
    $panes = '';
    $tabs = '';
    foreach($poll_suggestions_order as $order){
        switch ($order){
            case 'A':
                if($jcp_config[AUTHOR_POLLS_COUNT] > 0 && $this->poll->authorpolls) {
                	$tabs .= '<li><a href="#tab-author-polls" onclick="return false">'.JText::_('AUTHOR_POLLS').'</a></li>';
                    $panes .= '<div id="tab-author-polls">'.$authorHtml.'</div>';
                }
                break;
            case 'F':
                if($jcp_config[FEATURED_POLLS_COUNT] > 0 && $this->poll->featuredpolls) {
                	$tabs .= '<li><a href="#tab-featured-polls" onclick="return false">'.JText::_('FEATURED_POLLS').'</a></li>';
                    $panes .= '<div id="tab-featured-polls">'.$featuredHtml.'</div>';
                }
                break;
            case 'R':
                if($jcp_config[RELATED_POLLS_COUNT] > 0 && $this->poll->relatedpolls) {
                	$tabs .= '<li><a href="#tab-related-polls" onclick="return false">'.JText::_('RELATED_POLLS').'</a></li>';
                    $panes .= '<div id="tab-related-polls">'.$relatedHtml.'</div>';
                }
                break;
            case 'L':
                if($jcp_config[LATEST_POLLS_COUNT] > 0 && $this->poll->latestpolls) {
                	$tabs .= '<li><a href="#tab-latest-polls" onclick="return false">'.JText::_('LATEST_POLLS').'</a></li>';
                    $panes .= '<div id="tab-latest-polls">'.$latestHtml.'</div>';
                }
                break;
            case 'M':
                if($jcp_config[MOSTVOTED_POLLS_COUNT] > 0 && $this->poll->mostvotedpolls) {
                	$tabs .= '<li><a href="#tab-most-voted-polls" onclick="return false">'.JText::_('MOSTVOTED_POLLS').'</a></li>';
                    $panes .= '<div id="tab-most-voted-polls">'.$mostVotedHtml.'</div>';
                }
                break;
        }
    }
    
    echo '<div id="poll-suggestions">'.'<ul>'.$tabs.'</ul>'.$panes.'</div>';
}
?>
