<?php
/**
 * Joomla! 1.5 component Community Polls
 *
 * @version $Id: router.php 2009-08-10 03:45:15 svn $
 * @author Maverick
 * @package Joomla
 * @subpackage Community Polls
 * @license GNU/GPL
 *
 * The Community Polls allows the members of the Joomla website to create and manage polls from the front-end.
 * The administrator has the powerful tools provided in the back-end to manage the polls published by all users.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

/*
 * Function to convert a system URL to a SEF URL
 */
function CommunityPollsBuildRoute(&$query) {
    static $items;

    $segments	= array();
    if(isset($query['view'])){
        if(empty($query['Itemid'])) {
            $segments[] = $query['view'];
        } else {
            $menu = &JSite::getMenu();
            $menuItem = &$menu->getItem( $query['Itemid'] );
            if(!isset($menuItem->query['view']) || $menuItem->query['view'] != $query['view']) {
                $segments[] = $query['view'];
            }
        }
        unset($query['view']);
    }else {
        if(isset($query['task'])){
            $segments[] = $query['task'];
            unset($query['task']);
        }
        if(isset($query['controller'])){
            $segments[] = $query['controller'];
            unset($query['controller']);
        }
        if(isset($query['id'])){
            $segments[] = $query['id'];
            unset($query['id']);
        }
    }

    return $segments;
}
/*
 * Function to convert a SEF URL back to a system URL
 */
function communitypollsParseRoute($segments) {
    $vars = array();

    if(count($segments) > 0){
        $vars['task']	= $segments[0];
    }
    if(count($segments) > 1){
        $vars['controller']	= $segments[1];
    }
    if(count($segments) > 2){
        $vars['id']		= $segments[2];
    }

    return $vars;
}
?>