<?php
defined('_JEXEC') or die('Restricted access');
$app = &JFactory::getApplication();
$jcp_config = $app->getUserState( SESSION_JCP_CONFIG );
$user =& JFactory::getUser();
$menu = &JSite::getMenu();
$mnuitems	= $menu->getItems('link', 'index.php?option=com_communitypolls&view=polls&layout=home');
$itemid = isset($mnuitems[0]) ? '&amp;Itemid='.$mnuitems[0]->id : '';
?>
<div id="cpmainwrapper">
	<div id="poll_title">
		<?php echo JText::_('TITLE_POLL_LIST'); ?> 
		<?php 
		if($this->category && $this->categories[0]->id){
			echo ":" . $this->categories[0]->title;
		}
		?>
	</div>
	<?php if(!$this->category && $jcp_config[SHOW_CATEGORIES] == '1') : ?>
	<table class="jaaji">
		<tbody>
			<tr>
			<?php 
			$i = 0;
			$count = count($this->categories);
			$colspan = 0;
			foreach($this->categories as $category){
				$link = JRoute::_( 'index.php?option=com_communitypolls&controller=polls&task=list&catid='. $category->id.$itemid );
				if(($count - $i) == 1){
					if((($i+1)%3) > 0){
						$colspan = 4 - (($i+1)%3);
					}
				}
				$tooltip = $category->num_votes . ' votes casted on ' . $category->num_polls . ' polls in this category.';
				$lockimg = ($category->locked)?'<img src="' . JURI::base() . 'components/com_communitypolls/assets/images/locked.png' . '" title="' . JText::_('LOCKED') . '"/>':'';
				if($i > 0 && ($i)%3 == 0){
					echo "</tr><tr>";
				}
				?>
				<td width="33.3%" <?php echo ($colspan == 0)?'':'colspan="' . $colspan . '"';?>>
					<a href="<?php echo $link;?>" title="<?php echo $tooltip; ?>">
						<?php echo $this->escape($category->title) . ' (' . $category->num_polls . '/' . $category->num_votes . ') ' . $lockimg ?>
					</a> 
				</td>
				<?php
				$i++;
			}
			?>
			</tr>
		</tbody>
	</table>
	<div style="height: 5px;"></div>
	<?php endif; ?>
	<form action="index.php?option=com_communitypolls" method="post" name="adminForm">
		<script language="javascript" type="text/javascript">
	    function tableOrdering( order, dir, task ) {
	        var form = document.adminForm;
	
	        form.filter_order.value 	= order;
	        form.filter_order_Dir.value	= dir;
	        document.adminForm.submit( task );
	    }
	
	    function resetForm(){
	        document.getElementById('jcpsearch').value = '';
	        document.adminForm.submit( );
	    }
		</script>
		<table class="jaaji" width="100%">
			<tr>
				<td>
				<div style="float: left;">
					<a href="<?php echo JRoute::_('index.php?option=com_communitypolls&amp;controller=polls&amp;task=list&amp;jcpsort=2');?>"><?php echo JText::_('MOST_VOTED_POLLS');?></a>
					<strong>|</strong> 
					<a href="<?php echo JRoute::_('index.php?option=com_communitypolls&amp;controller=polls&amp;task=list&amp;jcpsort=0');?>"><?php echo JText::_('RECENT_POLLS');?></a>
				</div>
				<div style="float: right;">
					<a href="<?php echo JRoute::_('index.php?option=com_communitypolls&amp;controller=polls&amp;task=list&amp;jcpfilter=1');?>"><?php echo JText::_('OPTION_FILTER_TODAY');?></a>
					<strong>|</strong> 
					<a href="<?php echo JRoute::_('index.php?option=com_communitypolls&amp;controller=polls&amp;task=list&amp;jcpfilter=3');?>"><?php echo JText::_('OPTION_FILTER_THIS_WEEK');?></a>
					<strong>|</strong> 
					<a href="<?php echo JRoute::_('index.php?option=com_communitypolls&amp;controller=polls&amp;task=list&amp;jcpfilter=6');?>"><?php echo JText::_('OPTION_FILTER_THIS_MONTH');?></a>
					<strong>|</strong> 
					<a href="<?php echo JRoute::_('index.php?option=com_communitypolls&amp;controller=polls&amp;task=list&amp;jcpfilter=0');?>"><?php echo JText::_('OPTION_FILTER_ALL');?></a>
				</div>
				<div style="clear: both;"></div>
				</td>
			</tr>
			<tr>
				<td align="left">
					<span style="float: left;"> 
						<input id="jcpsearch" name="jcpsearch" type="text" size="25" maxlength="50" value="<?php echo $this->lists['jcpsearch']; ?>" />
						<button type="submit" class="button" onclick="javascript: this.form.submit();"><?php echo JText::_('BUTTON_SEARCH'); ?></button>
						<button type="button" class="button" onclick="javascript: return resetForm();"><?php echo JText::_('BUTTON_RESET'); ?></button>
					</span> 
					<span style="float: right;"> 
						<?php 
						if($this->category){
							$link = JRoute::_( 'index.php?option=com_communitypolls&controller=polls&task=list'.$itemid );
							echo '<img src="' . JURI::base(true) . '/components/com_communitypolls/assets/images/gohome.png" alt="' . JText::_('BUTTON_BACK_MAIN') . '"/> '; 
							echo '<a href="' . $link . '">' . JText::_('BUTTON_BACK_MAIN') . '</a>&nbsp;';
						}
						?> 
						<?php if(CPAuthorization::authorize('com_communitypolls','create','polls','all')):?>
						<a href="<?php echo JRoute::_('index.php?option=com_communitypolls&amp;controller=polls&amp;task=newpoll');?>">
						<img src="<?php echo JURI::base(true); ?>/components/com_communitypolls/assets/images/poll_add.png" alt="<?php echo JText::_('ADD_NEW_POLL');?>" /> <?php echo JText::_('ADD_NEW_POLL');?></a>
						<?php endif;?> 
					</span>
				</td>
			</tr>
		</table>
		<input type="hidden" name="option" value="com_communitypolls" /> 
		<input type="hidden" name="controller" value="polls" /> 
		<input type="hidden" name="task" value="list" /> 
		<input type="hidden" name="catid" value="<?php echo $this->category; ?>" /> 
		<?php echo JHTML::_( 'form.token' ); ?>
	</form>
	<div style="height: 5px;"></div>
	<?php
	$cols = 4;
	if($this->polls) {
	?>
	<table class="jaaji" width="100%">
		<tr>
			<?php if($jcp_config[USER_AVTAR] != 'none' && $jcp_config[SHOW_AVATAR]){ $cols++; ?>
			<th align="right"><?php echo JText::_('TITLE_AVTAR');?></th>
			<?php } ?>
			<th align="left"><?php echo JText::_('TITLE_POLL_TITLE');?></th>
			<?php if($jcp_config[SHOW_CATEGORIES]){ $cols++; ?>
			<th align="center"><?php echo JText::_('TITLE_CATEGORY');?></th>
			<?php } ?>
			<?php if($jcp_config[SHOW_AUTHOR]){ ?>
			<th align="center"><?php echo JText::_('TITLE_POLL_AUTHOR');?></th>
			<?php } ?>
			<th align="center"><?php echo JText::_('TITLE_POLL_VOTES');?></th>
			<?php if($jcp_config[LIST_COMMENTS] == '1') { $cols++; ?>
			<th align="center"><?php echo JText::_('TITLE_COMMENTS');?></th>
			<?php } ?>
			<th align="center"><?php echo JText::_('TITLE_POLL_DATE');?></th>
		</tr>
		<?php
		foreach($this->polls as $poll) {
			$image = '';
			$tooltip = '';
	
			$date2 = date("Y-m-d",time());
			if($poll->close_date && (strtotime($poll->close_date) - strtotime($date2)) < 0){
				$image = JURI::base() . 'components/com_communitypolls/assets/images/poll_lock.png';
				$tooltip = JText::_('LOCKED');
			}else{
				if($poll->eligible){
					$image = JURI::base() . 'components/com_communitypolls/assets/images/eligible.png';
					$tooltip = JText::_('MSG_VOTING_POSSIBLE');
				}else{
					$image = JURI::base() . 'components/com_communitypolls/assets/images/ineligible.png';
					$tooltip = JText::_('MSG_VOTING_NOT_POSSIBLE');
				}
			}
			$link = JRoute::_('index.php?option=com_communitypolls&amp;controller=polls&amp;task=viewpoll&amp;id='. $poll->slug.$itemid);
			?>
		<tr <?php echo ($poll->featured == '1')?'class="featured"':'""';?>>
			<?php if($jcp_config[USER_AVTAR] != 'none' && $jcp_config[SHOW_AVATAR]){ ?>
			<td align="center"><?php echo PollsHelper::getUserAvtar($poll->created_by,16);?></td>
			<?php } ?>
			<td style="vertical-align: middle;">
				<a href="<?php echo $link;?>" title="<?php echo $poll->title;?>"> <?php echo $this->escape($poll->title);?></a> 
				<img alt="<?php echo $tooltip; ?>" src="<?php echo $image; ?>" width="12px" height="12px" align="top" title="<?php echo $tooltip; ?>" /> 
				<?php
				if($poll->featured == '1'){
					$featuredimg = JURI::base() . 'components/com_communitypolls/assets/images/featured.png';
					echo '<img alt="' . JText::_('FEATURED') . '" src="' .
					$featuredimg . '" title="' . JText::_('FEATURED') . '" align="middle" />';
				}
				?> 
				<?php
				$publish_access = ($user->id && (
					$user->usertype == 'Super Administrator' ||
					$user->usertype == 'Administrator' ||
					$user->usertype == 'Manager' ||
					(!$user->guest && $user->id == $poll->created_by && $jcp_config[IS_USER_PUBLISH_ALLOWED]))
				)? true : false;
				if($publish_access){
					$publish_href = JRoute::_( 'index.php?option=com_communitypolls&amp;controller=polls&amp;task=unpublish&amp;cid='. $poll->slug.$itemid );
					if($poll->published == STATE_UNPUBLISH){
						$publish_href = JRoute::_( 'index.php?option=com_communitypolls&amp;controller=polls&amp;task=publish&amp;cid='. $row->slug.$itemid );
					}
					echo '<small><a style="color: brown;" href="' . $publish_href . '">';
					echo ($poll->published == STATE_PUBLISH)?JText::_('UNPUBLISH'):JText::_('PUBLISH');
					echo '</a></small>';
				}
				?>
			</td>
			<?php if($jcp_config[SHOW_CATEGORIES]): ?>
			<td><?php echo $this->escape($poll->category);?></td>
			<?php endif; ?>
			<?php if($jcp_config[SHOW_AUTHOR]){ ?>
			<td>
				<?php
				$username = ($poll->username)?$poll->username:JText::_('GUEST');
				$username = PollsHelper::getUserProfileUrl($poll->created_by,$username);
				?> 
				<strong><?php echo $username; ?></strong>
			</td>
			<?php } ?>
			<td align="center"><strong><?php echo $this->escape($poll->votes);?></strong></td>
			<?php
			if($jcp_config[LIST_COMMENTS] == '1') {
				echo '<td align="center">';
				if($jcp_config[COMMENT_SYSTEM] == 'jcomment') {
					$comments = $app->getCfg('absolute_path') . '/components/com_jcomments/jcomments.php';
					if (file_exists($comments)) {
						require_once($comments);
						$count = JComments::getCommentsCount($poll->id, 'com_communitypolls');
						echo $count 
							? ('<strong><a href="' . $link .'"><img src="' . JURI::base(true). '/components/com_communitypolls/assets/images/comments.png"/>&nbsp;'. $count . '</a><strong>') 
							: '<strong><a href="' . $link . '"><img src="' . JURI::base(true). '/components/com_communitypolls/assets/images/comment_add.png"/>&nbsp;0</a><strong></a><strong>';
					}
				}else if($jcp_config[COMMENT_SYSTEM] == 'jomcomment') {
					echo $poll->comments 
						? ('<strong><a class="comments" href="' . $link . "#comments" . '" title="'. JText::_('VIEW_COMMENTS') . '">' . '<img src="' . JURI::base(true). '/components/com_communitypolls/assets/images/comments.png"/>&nbsp;' . $poll->comments . '</a><strong>') 
						: '<strong><a href="' . $link . "#comments" . '" title="' . JText::_('ADD_COMMENT') . '">' . '<img src="' . JURI::base(true). '/components/com_communitypolls/assets/images/comment_add.png"/>&nbsp;0</a><strong>';
				}
				echo '</td>';
			}
			?>
			<td nowrap><?php echo PollsHelper::getFormattedDate($this->escape($poll->created));?></td>
		</tr>
		<?php
		}
		?>
		<tr>
			<td colspan="<?php echo $cols; ?>">
				<div style="float: left;"><?php echo $this->pagination->getPagesLinks(); ?></div>
				<div style="float: right;"><?php echo $this->pagination->getResultsCounter(); ?></div>
				<div style="clear: both;"></div>
			</td>
		</tr>
	</table>
	<?php
	}else{
		echo '<table class="jaaji"><tr><td>' . JText::_('NO_POLLS_FOUND') . '</td></tr></table>';
	}
	?>
</div>
