<?php
defined('_JEXEC') or die('Restricted access');
JHTML::_('behavior.mootools');
JHTML::_('behavior.calendar');
$app = &JFactory::getApplication();
$jcp_config = $app->getUserState( SESSION_JCP_CONFIG );
$document = &JFactory::getDocument();
$document->addScript("includes/js/joomla.javascript.js");
$menu = &JSite::getMenu();
$mnuitems	= $menu->getItems('link', 'index.php?option=com_communitypolls&view=polls&layout=home');
$itemid = isset($mnuitems[0]) ? '&amp;Itemid='.$mnuitems[0]->id : '';
?>
<div id="cpmainwrapper">
	<script type="text/javascript">
	form_submitted = false;
	jQuery(document).ready(function(){attachHandlers();});
	</script>
	<form action="<?php echo JRoute::_('index.php?option=com_communitypolls&controller=polls&task=savepoll');?>" method="post" name="newPoll">
		<div style="width: 100%;">
			<div id="poll_title"><?php echo JText::_("TITLE_NEW_POLL"); ?></div>
			<table class="jaaji">
				<tbody>
					<tr>
						<th width="120px"><b><?php echo JText::_('LABEL_TITLE');?></b>:&nbsp;</th>
						<td><input type="text" name="polltitle" id="polltitle" class="forminput" /></td>
					</tr>
					<tr>
						<th width="120px"><b><?php echo JText::_('LBL_POLL_TYPE');?></b>:&nbsp;</th>
						<td>
							<select id="poll_type" name="poll_type" onchange="javascript: toggleGrid(this);">
								<?php
								$types = explode(',', $jcp_config[ALLOWED_POLL_TYPES]);
								if(count($types) > 0){
									foreach($types as $poll_type){
										$label = JText::_('LBL_RADIO');
										if($poll_type == 'checkbox'){
											$label = JText::_('LBL_CHECKBOX');
										}else if($poll_type == 'grid'){
											$label = JText::_('LBL_RADIO_GRID');
										}
								?>
								<option value="<?php echo $poll_type;?>"><?php echo $label; ?></option>
								<?php
									}
								}
								?>
							</select>
						</td>
					</tr>
					<tr>
						<th style="width: 120px;">
							<b><?php echo JText::_('LABEL_DESCRIPTION');?></b>:&nbsp;
							<br />
							<small><small>(<?php echo JText::_("MSG_INFO_DESCRIPTION");?>)</small></small>
						</th>
						<td>
							<?php
							if(CPAuthorization::authorize('com_communitypolls','wysiwyg','polls','all')) {
								$editor =& JFactory::getEditor();
								echo $editor->display( 'description', '', '100%', '300px', '35', '10', false );
							}else{
								echo '<textarea name="description" id="description" rows="5" cols="35"></textarea>';
							}
							?>
						</td>
					</tr>
					<tr>
						<th><b><?php echo JText::_('LABEL_CATEGORY');?></b>:&nbsp;</th>
						<td>
							<select id="catid" name="catid">
								<option id="cat-0" value="0"><?php echo JText::_("OPTION_SELECT_CATEGORY");?></option>
								<?php
								if($this->categories){
									foreach($this->categories as $cat){
										if(!$cat->locked){
								?>
								<option id="cat-<?php echo $cat->id?>" value="<?php echo $cat->id; ?>"><?php echo $this->escape($cat->title); ?></option>
								<?php
										}
									}
								}
								?>
							</select>
						</td>
					</tr>
					<tr>
						<th><b><?php echo JText::_('LABEL_ENDDATE');?></b>:<br /></th>
						<td>
							<?php $img = JURI::base() . 'components/com_communitypolls/assets/images/calendar.png'; ?>
							<input class="inputbox" type="text" name="closingdate" id="closingdate" size="20" maxlength="25" value="" readonly /> 
							<img src="<?php echo $img; ?>" alt="Select date" onclick="return showCalendar('closingdate','%Y-%m-%d');" />
							<br>
							<small><small>(<?php echo JText::_('DATE_OPTIONAL');?>)</small></small>
						</td>
					</tr>
					<?php if($jcp_config[ENABLE_POLLS_ANYWHERE]): ?>
					<tr>
						<th><b><?php echo JText::_('LBL_POLLS_ANYWHERE');?></b>:<br/></th>
						<td>
							<input type="radio" name="polls_anywhere" id="polls_anywhere" value="2">&nbsp;<?php echo JText::_('LBL_DISABLED');?>
							&nbsp;&nbsp;&nbsp;&nbsp;
							<input type="radio" name="polls_anywhere" id="polls_anywhere" value="1" checked="checked">&nbsp;<?php echo JText::_('LBL_ENABLED');?>
							<br>
							<?php echo JText::_('LBL_ANYWHERE_HELP');?>
						</td>
					</tr>
					<?php endif;?>
				</tbody>
			</table>
			<div style="margin-top: 10px; margin-bottom: 10px; display: none;" id="grid_columns">
				<table class="sirimalli" width="100%">
					<caption><?php echo JText::_('LBL_GRID_COLUMN_NAMES');?></caption>
					<tbody>
						<tr>
							<th width="120"><?php echo JText::_('LABEL_COLUMN');?> 1</th>
							<td nowrap="nowrap"><input type="text" size="50" name="pollColumn[]" id="column-0" class="forminput" /></td>
						</tr>
						<tr>
							<th><?php echo JText::_('LABEL_COLUMN');?> 2</th>
							<td nowrap="nowrap"><input type="text" size="50" name="pollColumn[]" id="column-1" class="forminput" /></td>
						</tr>
					</tbody>
				</table>
				<div style="margin-top: 10px; clear: both;">
					<a href="#" onclick="javascript: addNewColumn(); return false;" class="cpbtn blue"><i></i><span><span></span><i></i><?php echo JText::_('BUTTON_ADD_COLUMN');?></span></a>
				</div>
				<br />
			</div>
			<br />
			<table class="jaaji" width="100%" id="options_table">
				<caption><?php echo JText::_('LBL_OPTIONS');?></caption>
				<tbody id="options-tbody">
					<tr>
						<th width="120"><?php echo JText::_('LABEL_OPTION');?> 1</th>
						<td nowrap="nowrap" id="td-0">
							<input type="text" size="50" name="polloption[]" id="text-0" class="forminput" /> 
							<?php if($jcp_config[ALLOW_IMAGES] == '1'): ?>
							<a id="media-0" class="btn_upload" href="#" onclick="javascript: return false;"> 
								<img src="<?php echo JURI::base() . 'components/com_communitypolls/assets/images/media.png';?>" alt="<?php echo JText::_('ADD_MEDIA');?>" /> 
							</a> 
							<?php endif; ?>
						</td>
					</tr>
					<tr>
						<th><?php echo JText::_('LABEL_OPTION');?> 2</th>
						<td nowrap="nowrap" id="td-1">
							<input type="text" size="50" name="polloption[]" id="text-1" class="forminput" /> 
							<?php if($jcp_config[ALLOW_IMAGES] == '1'): ?>
							<a id="media-1" class="btn_upload" href="#" onclick="javascript: return false;"> 
								<img src="<?php echo JURI::base() . 'components/com_communitypolls/assets/images/media.png';?>" alt="<?php echo JText::_('ADD_MEDIA');?>" /> 
							</a> 
							<?php endif; ?>
						</td>
					</tr>
				</tbody>
			</table>
			<div class="clear" style="clear: both; border-bottom: 1px solid #ccc;"></div>
			<?php
			$link = JRoute::_( 'index.php?option=com_communitypolls&controller=polls&task=list'.$itemid );
			?>
			<table class="nav-links">
				<tr>
					<td valign="top">
						<a href="#" onclick="javascript: return false;" id="btn_new_option"><?php echo JText::_('BUTTON_ADD_OPTION');?></a>
						<a href="<?php echo $link; ?>"><?php echo JText::_('BUTTON_CANCEL');?></a>
						<a href="#" onclick="javascript: checkPollFields(<?php echo ($jcp_config[IS_DESC_REQUIRED] == '1')?'true':'false'; ?>,<?php echo trim($jcp_config[DESC_MIN_LENGTH]);?>);return false;"><?php echo JText::_('BUTTON_SUBMIT_POLL');?></a>
					</td>
				</tr>
			</table>
			<input type="hidden" name="option" value="com_communitypolls" /> 
			<input type="hidden" name="controller" value="polls" /> 
			<input type="hidden" name="task" value="savepoll" /> 
			<input type="hidden" name="boxchecked" value="0" />
		</div>
		<?php echo JHTML::_( 'form.token' ); ?>
	</form>
</div>
<div id="uploadFormHolder" style="display:none;">
	<form action="<?php echo JRoute::_('index.php?option=com_communitypolls&controller=upload&task=upload');?>" method="post" id="uploadform"></form>
</div>
<p id="url_upload" style="display: none;"><?php echo JRoute::_('index.php?option=com_communitypolls&controller=upload&task=upload');?></p>
<p id="msg_allow_images" style="display: none;"><?php echo ($jcp_config[ALLOW_IMAGES] == '1')?'1':'0';?></p>
<p id="msg_alert_category" style="display: none;"><?php echo JText::_("MSG_ALERT_CATEGORY")?></p>
<p id="msg_alert_title" style="display: none;"><?php echo JText::_("MSG_ALERT_TITLE")?></p>
<p id="msg_alert_option" style="display: none;"><?php echo JText::_("MSG_ALERT_OPTION")?></p>
<p id="msg_alert_desc" style="display: none;"><?php echo JText::_("MSG_ALERT_DESC");?></p>
<p id="msg_alert_desc_min_length" style="display: none;"><?php echo JText::_("MSG_MIN_DESC_LENGTH1") . ' ' . $jcp_config[DESC_MIN_LENGTH] . ' ' . JText::_("MSG_MIN_DESC_LENGTH2") ;?></p>
<p id="msg_alert_error_processing" style="display: none;"><?php echo JText::_("MSG_ERROR_PROCESSING")?></p>
<p id="msg_alert_error_processing" style="display: none;"><?php echo JText::_("COLUMN_COUNT_EXCEEDED")?></p>
<p id="msg_column_count_exceeded" style="display: none;"><?php echo JText::_("COLUMN_COUNT_EXCEEDED")?></p>
<p id="lbl_option" style="display: none;"><?php echo JText::_("LABEL_OPTION");?></p>
<p id="lbl_column" style="display: none;"><?php echo JText::_("LABEL_COLUMN");?></p>
<p id="lbl_upload_file" style="display: none;"><?php echo JText::_("LBL_ADD_IMAGE");?></p>
<p id="lbl_image" style="display: none;"><?php echo JText::_("LBL_IMAGE");?></p>
