<?php
defined('_JEXEC') or die('Restricted access');
$app = &JFactory::getApplication();
$jcp_config = $app->getUserState( SESSION_JCP_CONFIG );
$user =& JFactory::getUser();
$menu = &JSite::getMenu();
$mnuitems = $menu->getItems('link', 'index.php?option=com_communitypolls&view=polls&layout=home');
$itemid = isset($mnuitems[0]) ? '&Itemid='.$mnuitems[0]->id : '';

$cancel = JRoute::_('index.php?option=com_communitypolls&amp;controller=polls&amp;task=cancel'.$itemid);
$home = JRoute::_('index.php?option=com_communitypolls&amp;controller=polls&amp;task=list'.$itemid);

$next = null;
$previous = null;
if($this->poll->next) {
	$next = JRoute::_( 'index.php?option=com_communitypolls&amp;controller=polls&amp;task=viewpoll&amp;id='.
	$this->poll->next->slug . $itemid );
}
if($this->poll->previous) {
	$previous = JRoute::_( 'index.php?option=com_communitypolls&amp;controller=polls&amp;task=viewpoll&amp;id='.
	$this->poll->previous->slug . $itemid );
}
$document = &JFactory::getDocument();
$document->addScriptDeclaration( "jQuery(document).ready(function(){attachHandlers();});");
?>
<script type="text/javascript">
jQuery(document).ready(function(){
	jQuery("#btnVote").click(function(){
		jQuery('#loadingImg').show();
		var selected_options = "";
		jQuery("#votingform").find("input[type='radio']:checked").each(function(index){
			selected_options = selected_options+jQuery(this).attr("id")+",";
		});
		if(selected_options.length == 0){
			alert(jQuery("#msg_no_selection").html());
			return false;
		}else{
			selected_options = selected_options.substring(0, selected_options.length - 1 );
			jQuery("#votes").val(selected_options);
			jQuery("#votingform").ajaxSubmit({ 
				type			: "post", 
				dataType		: "json",
				success			: function(data, status, xhr, form){
					updateCharts(data);
				}
			});
		}
		return false;
	});
});
</script>
<div id="cpmainwrapper" style="width: 99%">
	<div id="poll_title"><?php echo $this->escape($this->poll->title); ?></div>
	<?php
	if($this->poll->published == '2') { 
	?>
	<div class="poll_moderation"><?php echo JText::_('TXT_POLL_UNDER_MODERATION');?></div>
	<?php
	}
	if(isset($this->poll)){
	?>
	<table cellpadding="5" cellspacing="0" border="0" class="toolbar">
		<tr>
			<?php if(strcmp($jcp_config[USER_AVTAR], 'none') != 0) : ?>
			<td align="left"><?php echo PollsHelper::getUserAvtar($this->poll->created_by, 48);?></td>
			<?php endif; ?>
			<td width="100%">
				<strong><?php echo JText::_('CATEGORY');?></strong>:<?php echo $this->escape($this->poll->category);?><br>
				<strong><?php echo JText::_('TITLE_POLL_DATE');?></strong>:<?php echo PollsHelper::getFormattedDate($this->escape($this->poll->created));?>
			</td>
			<td nowrap>
				<a href="<?php echo JRoute::_('index.php?option=com_communitypolls&amp;controller=polls&amp;task=list');?>">
					<img src="<?php echo JURI::base(true); ?>/components/com_communitypolls/assets/images/gohome.png" alt="<?php echo JText::_('GO_HOME');?>" /> 
					<?php echo JText::_('GO_HOME');?>
				</a>
				<br>
				<a href="<?php echo JRoute::_('index.php?option=com_communitypolls&amp;controller=polls&amp;task=newpoll');?>">
					<img src="<?php echo JURI::base(true); ?>/components/com_communitypolls/assets/images/poll_add.png" alt="<?php echo JText::_('ADD_NEW_POLL');?>" /> 
					<?php echo JText::_('ADD_NEW_POLL');?>
				</a>
			</td>
			<td nowrap>
				<?php
				if(CPAuthorization::authorize('com_communitypolls','manage','polls','all')){
				$featured = JText::_('MARK_FEATURED');
				$img = JURI::base() . 'components/com_communitypolls/assets/images/featured.png';
				$task = 'fbit';
				if($this->poll->featured){
					$featured = JText::_('UNMARK_FEATURED');;
					$img = JURI::base() . 'components/com_communitypolls/assets/images/ufeatured.png';;
					$task = 'ufbit';
				}
				$url = JRoute::_( 'index.php?option=com_communitypolls&controller=polls&task=' . $task . '&id='. $this->poll->id . $itemid );
				?> 
				<a href="<?php echo $url; ?>"><img src="<?php echo $img; ?>"><?php echo $featured; ?></a><br>
				<?php
				}
				if(PollsHelper::checkPublishPermissions($this->poll)){
					if($this->poll->published){
						$img = JURI::base() . 'components/com_communitypolls/assets/images/unpublish.png';;
						$publish_href = JRoute::_( 'index.php?option=com_communitypolls&controller=polls&task=unpublish&cid='. $this->poll->id .$itemid );
					?> 
					<a href="<?php echo $publish_href; ?>"><img src="<?php echo $img; ?>"><?php echo JText::_('UNPUBLISH'); ?></a> 
					<?php 
					}else{
						$img = JURI::base() . 'components/com_communitypolls/assets/images/publish.png';;
						$publish_href = JRoute::_( 'index.php?option=com_communitypolls&controller=polls&task=publish&cid='. $this->poll->id .$itemid );
					?> 
					<a href="<?php echo $publish_href; ?>"><img src="<?php echo $img; ?>"><?php echo  JText::_('PUBLISH'); ?></a> 
					<?php
					}
				}
				?>
			</td>
		</tr>
		<?php if($this->poll->description):?>
		<tr>
			<td colspan="4" style="border-top: 1px solid #ccc"><?php echo '<div style="margin: 5px 5px 5px 0;">'. $this->poll->description . '</div>';?></td>
		</tr>
		<?php endif ?>
	</table>
	<?php
	if($this->poll->close_date){
		$todays_date = date("Y-m-d");
		$today = strtotime($todays_date);
		$close_date = strtotime($this->poll->close_date);
		if($close_date < $today){
			echo '<div class="toolbar" style="margin-bottom: 5px;">' . JText::_('MSG_VOTING_CLOSED') . '</div>';
		}
	}
	if(JDocumentHTML::countModules("jcp_view_poll_top")) {
	?>
	<div style="margin-bottom: 5px;"><?php echo PollsHelper::loadModulePosition('jcp_view_poll_top'); ?></div>
	<?php
	}
	if($this->poll->eligible){
	?>
	<form id="votingform" action="<?php echo JURI::base(); ?>index.php?option=com_communitypolls&controller=polls&task=ajxgvote&id=<?php echo $this->poll->id;?>">
		<table class="gridtable">
			<thead>
				<tr>
					<th></th>
					<?php
					$columns = 0;
					$columnIds = array();
					foreach($this->poll->options as $cp_voption) {
						if($cp_voption->type == 'y'){
							$columnIds[] = $cp_voption->id;
					?>
					<th><?php echo $this->escape($cp_voption->title);?></th>
					<?php
							$columns++;
						}
					}
					?>
				</tr>
			</thead>
			<tbody>
				<?php
				$alt = 0;
				foreach($this->poll->options as $cp_voption){
					if($cp_voption->type == 'x'){
					?>
				<tr <?php echo ($alt)?'class="alt"':''; ?>>
					<td><label><?php echo $this->escape($cp_voption->title);?></label></td>
					<?php
					for($i=0; $i<$columns; $i++){
					?>
					<td width="25px;" valign="middle"><input type="radio" id="<?php echo $cp_voption->id .'_'. $columnIds[$i];?>" name="votes<?php echo $cp_voption->id;?>"></td>
					<?php
					}
					?>
				</tr>
				<?php
					if(isset($cp_voption->resources) && (count($cp_voption->resources) > 0)){
				?>
				<tr>
					<td></td>
					<td colspan="<?php echo $columns;?>">
						<?php
						foreach($cp_voption->resources as $resource){
							if($resource->type == 'image'){
						?>
						<div><img src="<?php echo CP_IMAGES_URI . $this->escape($resource->value)?>" alt="<?php echo $this->escape($cp_voption->title);?>"></div>
						<?php
							}
						}
						?>
					</td>
				</tr>
				<?php
				}
				$alt = 1 - $alt;
				}
			}
			?>
			</tbody>
		</table>
		<input name="votes" type="hidden" id="votes">
	</form>
	<?php
	}
	?>
	<div id="resultchart" <?php echo ($this->poll->eligible)?'style="display: none"':''?>>
		<?php 
		$rows = array();
		$cols = array();
		foreach($this->poll->options as $cp_option){
			if($cp_option->type == 'y'){
				$cols[] = $cp_option;
			}else{
				$rows[] = $cp_option;
			}
		}
		?>
		<table class="gridtable">
			<thead>
				<tr>
					<th></th>
					<?php
					foreach($cols as $col){
						echo '<th>' . $this->escape($col->title) . '</th>';
					}
					?>
				</tr>
			</thead>
			<tbody>
				<?php
				$alt = 0;
				foreach($rows as $row){
				?>
				<tr <?php echo ($alt)?'class="alt"':''?>>
					<td><?php echo $this->escape($row->title);?></td>
					<?php
					foreach($cols as $col){
						$flag = false;
						foreach($this->poll->votesEx as $voteEx){
							if($voteEx->option_id == $row->id && $voteEx->column_id == $col->id){
								if($row->votes > 0){
									$percent = round($voteEx->votes * 100 / $row->votes, 2);
									echo '<td>' .  $percent . '%</td>';
								}else{
									echo '<td>0%</td>';
								}
								$flag = true;
								break;
							}
						}
						if(!$flag){
							echo '<td>0%</td>';
						}
					}
					?>
				</tr>
				<?php
				$alt = 1 - $alt;
				}
				?>
			</tbody>
		</table>
	</div>
	<div style="height: 10px;"></div>
	<table class="nav-links">
		<tr>
			<?php if($previous):?>
			<td valign="top" nowrap>
				<a href="<?php echo $previous; ?>"><?php echo JText::_('BUTTON_PREVIOUS');?></a>
			</td>
			<?php endif; ?>
			<?php if($next):?>
			<td valign="top" nowrap>
				<a href="<?php echo $next; ?>"><?php echo JText::_('BUTTON_NEXT');?></a>
			</td>
			<?php endif; ?>
			<?php if($jcp_config[ALLOW_PREVIEW] == '1' && 1==2):?>
			<td valign="top" nowrap>
				<a id="btnToggleResult" href="#" onclick="javascript: toggleResult('<?php echo JText::_('VIEW_RESULT');?>','<?php echo JText::_('HIDE_RESULT');?>'); return false;" <?php echo ($this->poll->eligible)?'':'style="display: none"'?>><?php echo JText::_('VIEW_RESULT');?></a>
			</td>
			<?php endif; ?>
			<td valign="top" nowrap>
				<?php 
				if($this->poll->eligible){
				?> 
				<a id="btnVote" href="#" onclick="javascript: return false;"><?php echo JText::_('BUTTON_VOTE');?></a> 
				<img id="loadingImg" alt="<?php echo JText::_('LOADING');?>" src="<?php echo JURI::base(true); ?>/components/com_communitypolls/assets/images/loading.gif?>" style="display: none; vertical-align: middle;"> 
				<?php 
				}
				?>
			</td>
		</tr>
	</table>
	<div class="toolbar">
		<ul class="submenu">
			<li>
				<?php
				$userpolls = JRoute::_( 'index.php?option=com_communitypolls&controller=polls&task=userpolls&uid='.
				$this->escape($this->poll->created_by) . $itemid );
				$voteduser = JRoute::_( 'index.php?option=com_communitypolls&controller=polls&task=votedusers&pollid='.
				$this->escape($this->poll->id) . $itemid );
				?> 
				<a href="<?php echo $userpolls;?>" class="active"><?php echo JText::_('LBL_ALL_POLLS_FROM') . ' ' . (($this->poll->username)?$this->poll->username:JText::_('GUEST'));?></a>
			</li>
			<li>
				<?php if($this->poll->votes > 1): ?> 
				<a href="<?php echo $voteduser;?>" class="active"><?php echo JText::_('LBL_USERS_VOTED_ON'); ?></a>
				<?php endif; ?>
			</li>
			<?php if(!empty($jcp_config[SHARE_THIS_PUBID])): ?>
			<li>
				<a id="ck_sharethis" class="stbar chicklet active" href="javascript:void(0);">
					<img src="http://w.sharethis.com/chicklets/sharethis.gif" />ShareThis
				</a> 
				<script
					type="text/javascript">
                    var shared_object = SHARETHIS.addEntry({
	                    title: document.title,
    	                url: document.location.href
        	        });
					shared_object.attachButton(document.getElementById("ck_sharethis"));
                	shared_object.attachChicklet("email", document.getElementById("ck_email"));
                	shared_object.attachChicklet("facebook", document.getElementById("ck_facebook"));
                	shared_object.attachChicklet("twitter", document.getElementById("ck_twitter"));
                </script>
			</li>
            <?php endif;?>
		</ul>
	</div>
	<div style="margin-top: 10px;"><?php include_once JPATH_SITE . DS . 'components' . DS . 'com_communitypolls' . DS . 'helpers' . DS . 'pollsuggestions.php'; ?></div>
</div>
<div class="clear"></div>
<?php echo PollsHelper::loadModulePosition('jcp_view_poll_bottom'); ?>
<div class="clear"></div>
<?php
if($jcp_config[COMMENT_SYSTEM] == "jomcomment") {
	$jomcommentbot = JPATH_PLUGINS . DS . 'content' . DS . 'jom_comment_bot.php';
    if(file_exists($jomcommentbot)) {
    	include_once( $jomcommentbot );
        echo jomcomment($this->poll->id, "com_communitypolls");
	}
}else if($jcp_config[COMMENT_SYSTEM] == "jcomment") {
	$app = &JFactory::getApplication();
    $comments = $app->getCfg('absolute_path') . '/components/com_jcomments/jcomments.php';
    if (file_exists($comments)) {
    	require_once($comments);
        echo JComments::showComments($this->poll->id, 'com_communitypolls', $this->poll->title);
	}
}
}
?>
<span id="msg_no_selection" style="display: none"><?php echo JText::_("MSG_ERROR_NO_SELECTION");?></span>
<span id="txt_chart_type" style="display: none;">3</span>