<?php // no direct access
/**
 * View for leaderboard module
 * 
 * @package    Joomla
 * @subpackage Modules
 * @link http://www.corejoomla.com
 * @license        GPL
 * Displays top users
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
if(isset($leaders) && (count($leaders)>0)){
	jimport('joomla.html.pane');
	$pane =& JPane::getInstance('tabs', array('startOffset'=>0)); 
	echo $pane->startPane( 'pane' );
	$mweekly = intval($params->get('mweekly',1));
	if($leaders->current && (count($leaders->current)>0)){		
		if($mweekly == '1'){
			$mWeekText = JText::_('CURR_WEEK');
		}else{
			$mWeekText = JText::_('CURR_MONTH');
		}
		echo $pane->startPanel( $mWeekText, 'lbpanel1' );
		foreach($leaders->current as $leader){
			modleaderboardHelper::writeLeadersData($params,$leader);
		}
		echo $pane->endPanel();
	}
	if($leaders->last && (count($leaders->last) > 0)){
		if($mweekly == '1'){
			$mWeekText = JText::_('LAST_WEEK');
		}else{
			$mWeekText = JText::_('LAST_MONTH');
		}
		echo $pane->startPanel( $mWeekText, 'lbpanel2' );
		foreach($leaders->last as $leader){
			modleaderboardHelper::writeLeadersData($params,$leader);
		}
		echo $pane->endPanel();
	}
	echo $pane->endPane();
	echo '<div style="clear: both;"></div>';
	$minutes = intval($params->get('frequency',60));
	echo modleaderboardHelper::getFrequncyText($minutes);
}
?>