<?php
//don't allow other scripts to grab and execute our file
defined('_JEXEC') or die('Direct Access to this location is not allowed.');
// include the helper file
require_once(dirname(__FILE__).DS.'helper.php');
require_once JPATH_ROOT.DS.'components'.DS.'com_communitypolls'.DS.'helpers'.DS.'cpauthorization.php';
require_once JPATH_ROOT.DS.'components'.DS.'com_communitypolls'.DS.'helpers'.DS.'helper.php';
require_once JPATH_ADMINISTRATOR.DS.'components'.DS.'com_communitypolls'.DS.'helpers'.DS.'helper.php';
require_once JPATH_ADMINISTRATOR.DS.'components'.DS.'com_communitypolls'.DS.'helpers'.DS.'constants.php';

$app = &JFactory::getApplication();
$jcp_config = $app->getUserState( SESSION_JCP_CONFIG );
if(!$jcp_config){
    $jcp_config = &CommunityPollsHelper::populateJcpConfig();
}
$auth = new CPAuthorization();

// get the items to display from the helper
$poll           =& modRandomPollHelper::getPoll($params);
$eligible       = modRandomPollHelper::traceEligibility($poll, false);
$graphwidth     = intval($params->get('chartwidth', 200));
$charttype      = trim($params->get('charttype', '0'));
$showcategory   = intval($params->get('showcategory', 0));
$showvotes      = intval($params->get('showvotes', 0));
$showdescription= intval($params->get('showdescription', 0));
$showauthor     = trim($params->get('username', 'name'));
$avatar         = trim($params->get('avatar', 'none'));
$moduleclass_sfx= trim($params->get('moduleclass_sfx', ''));
$bgcolor		= trim($params->get('bgcolor', ''));

if($poll->published == 1) {
    for($i=0; $i < count($poll->options); $i++){
        if($poll->votes > 0) {
            $poll->options[$i]->percent = round(($poll->options[$i]->votes/$poll->votes)*100);
        }else{
            $poll->options[$i]->percent = 0;
        }
    }
	JHTML::_('behavior.mootools');
	
	JPluginHelper::importPlugin( 'corejoomla' );
	$dispatcher =& JDispatcher::getInstance();
	$dispatcher->trigger('onCallIncludeJQuery', array(array("jquery","jqueryform")));
	
	$document	= & JFactory::getDocument();
    $document->addStyleSheet( JURI::base(true) . '/modules/mod_randompoll/assets/css/styles.css' );
    $document->addScript( JURI::base(true) . '/modules/mod_randompoll/assets/scripts/randompoll.js' );

// include the template for display
    require(JModuleHelper::getLayoutPath('mod_randompoll'));
}else {
    echo "No polls found";
}

?>
