<?php
//don't allow other scripts to grab and execute our file
defined('_JEXEC') or die('Direct Access to this location is not allowed.');
?>
<?php 
if($poll){
	$document	= & JFactory::getDocument();
	$document->addScriptDeclaration( "jQuery(document).ready(function($){cprp_attach_handlers();})");
} 
?>
<div class="cprp-mainwrapper">
    <div class="cprp-poll-title"><?php echo modRandomPollHelper::escape($poll->title); ?></div>
    <?php if($showdescription):?>
    <div class="cprp-poll-description"><?php echo strip_tags($poll->description); ?></div>
    <?php endif; ?>
    <!-- Voting form start -->
    <?php if($eligible):?>
    <form id="voting-form" action="<?php echo JURI::base(); ?>index.php?option=com_communitypolls&controller=polls&task=ajxvote&id=<?php echo $poll->id;?>" style="<?php echo ($eligible)?'':'display: none';?>">
        <?php
        foreach($poll->options as $cp_option) {
        ?>
        <div class="cprp-vote-option">
            <input 
                type="<?php echo $poll->type; ?>"
                name="option_id[]"
                id="cprp-option-<?php echo $cp_option->id; ?>"
                value="<?php echo $cp_option->id; ?>"/>&nbsp;
            <label for="cprp-option-<?php echo $cp_option->id; ?>"><?php echo modRandomPollHelper::escape($cp_option->title); ?></label>
        </div>
        <?php
        }
        ?>
        <button id="cprp-cast-vote" class="button" onclick="javascript: return false;"><?php echo JText::_('BUTTON_VOTE'); ?></button>
        <img
            id="cprp-loadingImg"
            alt="<?php echo JText::_('LOADING'); ?>"
            src="<?php echo JURI::base(true);?>/components/com_communitypolls/assets/images/loading.gif"
            style="display: none; vertical-align: middle;"/>
    </form>
    <?php endif;?>
    <!-- Voting form end -->
    <?php if(CPAuthorization::authorize('com_communitypolls','viewing','polls','all')):?>
    <!-- Result charts start -->
    <div id="cprp-result" style="<?php echo ($eligible)?'display: none':'';?>">
        <?php if($charttype == '0'): ?>
        <?php
        $i = 1;
        foreach($poll->options as $cp_option){
        ?>
        <div class="cprp-option-title">
            <?php echo modRandomPollHelper::escape($cp_option->title); ?>
            <span id="cprp-votes-<?php echo $i; ?>">(<?php echo $cp_option->votes . ' ' . JText::_('LBL_VOTES'); ?>)</span>
        </div>
        <div class="cprp-option-wrapper">
            <div class="cprp-option-bar" style="width:<?php echo $cp_option->percent; ?>%" id="cprp-option-<?php echo $i; ?>"></div>
        </div>
        <div style="clear: both;"></div>
        <?php
        $i++;
		}
        ?>
        <?php elseif($charttype == '1'): ?>
        <?php
		$colorsArray = explode('|', 'B2DBF9|F7C01B|90BD0C|D45049|089191|FFEBCC|5FD8A5|E72D29|0957B7|FEFECC');
        $data = '';
		$labels = '';
		$i=0;
		$colors = '';
		foreach($poll->options as $cp_option){
            $data .= $cp_option->percent . ',';
            $labels .= $cp_option->percent . '%|';
            $colors .= $colorsArray[$i%10] . ',';
            $i++;
        }
        // Trim the last character that is appended
        $data = substr($data, 0, -1);
        $labels = substr($labels, 0, -1);
        $colors = substr($colors, 0, -1);

        $width = $graphwidth . 'x' . round($graphwidth/3);
        ?>
		<div style="text-align: center" id="cprp-piewrapper">
            <img
                id="cprp-pie"
                src="http://chart.apis.google.com/chart?chs=<?php echo $width; ?>&amp;chd=t:<?php echo $data; ?>&amp;cht=p3&amp;chl=<?php echo $labels; ?>&amp;chco=<?php echo $colors; ?><?php echo !empty($bgcolor) ? '&amp;chf=bg,s,'.$bgcolor : '';?>"
				alt="<?php echo modRandomPollHelper::escape($poll->title); ?>" />
        </div>
        <table cellpadding="3" cellspacing="0" border="0" width="100%" style="margin-top: 10px;">
            <?php
            $i=0;
            foreach($poll->options as $cp_option){
            ?>
            <tr>
                <td width="20px" valign="top">
                    <div class="cprp-roundrect" style="background-color: <?php echo '#'.$colorsArray[$i%10]; ?>;">&nbsp;</div>
                </td>
                <td valign="top">
                    <div class="cprp-option-title">
                        <?php echo modRandomPollHelper::escape($cp_option->title) . ' (' . $cp_option->votes . ' ' . JText::_('LBL_VOTES') . ')'; ?>
                    </div>
                </td>
            </tr>
            <?php
            $i++;
            }
            ?>
        </table>
        <?php elseif($charttype == '2'): ?>
        <?php endif; ?>
    </div>
    <!-- Result charts end -->
    <?php else:?>
    <div id="cprp-result" class="toolbar" style="<?php echo ($eligible)?'display: none':'';?>"><?php echo JText::_("MSG_RESULTS_HIDDEN");?></div>
    <?php endif;?>
    <!-- Info start -->
    <div class="poll-info">
        <?php if(strcmp($avatar,'none') != 0): ?>
	<div style="float:left; margin-right: 5px;">
            <?php
            echo modRandomPollHelper::getUserAvtar($poll->created_by,48, $showauthor, $avatar);
            ?>
	</div>
        <?php endif; ?>
        <?php if($showvotes) : ?>
	<div><?php echo JText::_('TOTAL_VOTES') . ': <span id="cprp-vote-count">' . $poll->votes . '</span>'; ?></div>
        <?php endif; ?>
	<?php if($showcategory): ?>
        <div><?php echo JText::_('LBL_CATEGORY') . ': <a href="' . 
        	JRoute::_( 'index.php?option=com_communitypolls&controller=polls&task=list&catid='. $poll->catid ). '">' . $poll->category . "</a>"; ?></div>
	<?php endif; ?>
	<?php
        if($showauthor) {
            $username = ((!$poll->username)?JText::_('GUEST_NAME'):$poll->username);
            echo "<div>" . modRandomPollHelper::getUserNameLink($poll->created_by, $avatar, $username) . '</div>';
        }
	?>
        <?php if(strcmp($avatar,'none') != 0): ?>
        <div style="clear: both;"></div>
        <?php endif; ?>
    </div>
    <!-- Info end -->
</div>
<span id="msg_no_selection" style="display:none;"><?php echo JText::_("MSG_ERROR_NO_SELECTION");?></span>
<span id="lbl_votes" style="display:none;"><?php echo JText::_("LBL_VOTES");?></span>
<span id="lbl_waitig" style="display:none;"><?php echo JText::_("CHART_LOADING_WAIT");?></span>
<span id="lbl_chart_type" style="display:none;"><?php echo $charttype;?></span>
<span id="graph_width" style="display:none;"><?php echo $width;?></span>
<span id="txt_bgcolor" style="display:none;"><?php echo $bgcolor;?></span>